About O&O Defrag 19

Thank you for choosing O&O Defrag! O&O Defrag activates the hidden performance of your computer and packs file fragments efficiently and securely together. O&O Defrag gives you everything from fully automated defragmentation to a professional set up: everything a good defragmentation software should give you.

An increasingly fragmented hard disk compromises the performance of your computer. This occurs as a result of frequent write and read access, during your daily routines, while surfing or gaming, or due to frequent user access on Server. For a lasting maximum speed while accessing files, it is important that your data is organized systematically.

Windows disperses single file fragments all over the entire hard disk, which increases the time for its access. The defragmentation packs file fragments coherently together on the hard disk and files the data into separate zones. Windows as well as other programs will start and run faster.

O&O Defrag includes a clever scheduling function, which allows you to schedule regular automated defragmentations if you wish. In addition, the permanent and automatic optimization in the background is key to prevent a loss in performance of your computer as well as a renewed fragmentation. This will allow you to save time compared to running a manual defragmentation.

We sincerely hope you are satisfied with our new O&O Defrag and that you will be able to maintain your optimal system performance like million other users worldwide.

Your O&O Software Team
http://www.oo-software.com

More:

Overview of new and known functions

Getting started with O&O Defrag

The various defragmentation methods

Scheduled automatic optimization

How to determine the state of your computer using the status reports

O&O Defrag user interface


Features at a glance

Besides the continuous maintenance and enhancement of the existing program components, you will find several additional new and helpful features in O&O Defrag 19.

O&O DiskCleaner

O&O Defrag offers a convenient tool with O&O DiskCleaner that searches for and removes temporary and unnecessary files that consume space and increase fragmentation.

History

Thanks to clearly displayed statistics, you can tell what effect a regular defragmentation is having on your system and you can track the success over weeks and months.You can monitor how many files have been optimized and how many excess file fragments have been put back together.Based on this, you can then adjust your settings to match the defragmentation to your computer habits in order to get the best possible results.

Defragmentation summary

The new defragmentation summary shows the difference a defragmentation makes; after each defragmentation run you will be shown the drive's allocation before and after optimization by O&O Defrag.

Live Update: Automatic updates to most recent program versions

The live update feature helps you make sure you are always working with the most current version of O&O Defrag.No re-registration or manual installation required: O&O Defrag handles this all for you.

Simplified user interface

The user control was adapted to the most frequent application cases, so that the most important jobs will be executed intuitively. All basic control possibilities, as well as the unique functions of O&O Defrag can be accessed with just one click.

QuickStart wizard of O&O Defrag

The QuickStart wizard allows you to automate defragmentation with just a few mouse clicks right after the first start of O&O Defrag or at a later time. Once defined, you will never have to worry about the optimization of your hard disk again. Everything will be handled by O&O Defrag in the background. The default settings we propose are adapted to the needs of most our customers.

O&O ActivityMonitor

The O&O ActivityMonitor periodically determines the system load. It controls the performance demand of O&O Defrag during a defragmentation and adapts it to the current state. You can thereby work undisturbed while your system is being defragmented in the background.

Automatic optimization

Thanks to the automatic optimization in O&O Defrag, there is no need to manually schedule defragmentation runs. This feature is activated automatically after installation and optimizes your hard disk in the background; without your computer losing any of its performance.

Advanced report management

The report function lists the defragmentation reports in date order and groups them according to their age. In that way, you will always stay informed on the performance development of your computer over time.

Optimization for all makes of Solid State Drives (SSDs)

For the first time, O&O Defrag enables you to optimize all makes of SSD drives. Using regularly scheduled ATA TRIM commands, an SSD will be kept informed of those hard disk areas that are available for new data. Instead of continuing to save the contents of data that’s no longer needed, the SSD can now use those freed areas for a drive-internal optimization of its data management. As a result, the SSD is able to process accesses significantly faster, and wear out on flash chips is kept to a minimum.

Filing drives into zones

The division of drives into zones enables the logical separation of the data into performance critical and non-critical files. A special algorithm makes sure that the data on the disk is optimally organized after defragmentation. Files are organized and moved into zones depending on their intended use and the access frequency. For instance, system and program files, which need to be accessed very quickly, are separated from other data like documents and downloads. By the division of files according to their write frequency, it’s possible to intelligently prevent fragmentation. Thanks to this logical grouping, program and system start times are shortened, future defragmentation runs faster, and new fragmentation can be prevented.

Three adapted optimized methods for defragmentation

Three methods - Optimize, Optimize/Quick and Optimize/Complete - facilitate the selection of the most beneficial defragmentation for a specific purpose. These new methods group your data into zones and combine optimally with the older O&O Defrag methods. These are, of course, still available whenever you disable zone filing.

Additional strategies to reduce fragmentation

Very large files with high-levels of fragmentation can also be efficiently packed together into a few fragments. The result is clearly measurable.

Compatible with Windows 10

O&O products are always kept up to date with advances in technology. That’s why O&O Defrag has been developed and optimized for Windows 10: to guarantee you best results. And, of course, older systems using Windows Vista, Windows 7 or Windows 8 will go on being fully supported.

Further properties

  • Default configuration already optimal for the majority of users
  • File Status provides an overview of the largest and most heavily fragmented files on your drive
  • Defragmentation of individual files and folders by right-clicking
  • Control O&O Defrag from the task bar
  • Three new (eight in total) defragmentation methods for an optimal increase in speed
  • ClusterView for detailed information on the distribution of files in the drives
  • O&O Screensaver
  • Power management for notebooks
  • O&O ClusterInspector for targeted inspection of hard disk regions
  • Job assistant to schedule automatic and periodic defragmentations
  • Status reports in HTML format to keep track of developments in performance
  • Support of removable drives (USB Sticks, Memory Cards, etc.)
  • Execution of Windows commands (Batches) before and after defragmentation
  • Screen saver mode automates defragmentation whenever the computer is idle
  • Checks for new program versions


Differences between the various Editions

O&O Defrag 19 is available in three versions:

  • O&O Defrag 19 Professional Edition
  • O&O Defrag 19 Workstation Edition
  • O&O Defrag 19 Server Edition

The Professional Edition is the version to use for defragmenting a single PC. It cannot be used on a server operating system and has no network capabilities.

The Workstation Edition contains a network agent for controlling O&O Defrag in conjunction with the O&O Enterprise Management Console. The Workstation Edition can only be applied on desktop computers.

The Server Edition a network agent for controlling O&O Defrag in conjunction with the O&O Enterprise Management Console. It can be used on both Servers and Workstations, the latter making more sense when the administrator wishes to control and monitor the defragmentation process from his computer.


Other Features of the Server and Workstation Edition

The Server Edition offers the possibility to access other computers in the network and to control O&O Defrag remotely. Additional information is available in chapter Work within the network.

In addition, you can run the following network functions using the Workstation and Server Edition in combination with the O&O Enterprise Management Console:

  • Easy defragmentation of the entire company network
  • Management of your computers in sites
  • Definition of group settings for PCs
  • Creation of a time table for automatic defragmentation with just a few clicks (Defrag Jobs)
  • Automatic installation of O&O Defrag-Software in the network
  • Integration in Active Directory
  • Group rules for software distribution and – configuration
  • Execution of Windows commands (Batches) before and after defragmentation

Should you have no O&O Enterprise Management Console or do not yet own a volume license, please contact us. We will gladly send you the installation media and advise you on using the O&O Enterprise Management Console in your company.

Contact: sales@oo-software.com


System requirements

  • The system requirement of each operating system have to be fulfilled
  • 50 MB free hard disk space
  • 32/64-bit Support (from Windows Vista/Server 2003)
  • Windows® Vista till Windows® 10 (all editions):

Supported operating systems

Operating system | Professional Edition | Workstation Edition | Server Edition
Windows 10 | yes | yes | yes
Windows 8 | yes | yes | yes
Windows 7 | yes | yes | yes
Windows Vista | yes | yes | yes*
Windows Server 2008 | no | no | yes
Windows Server 2003 | no | no | yes*
Windows Server 2008 R2 | no | no | yes*
Windows Server 2012 | no | no | yes*
Windows Server 2012 R2 | no | no | yes*

* All variants of this server operating system are supported, except Core-Installations

If you wish to use the network functionality, you must also have the following available:

  • Network card and connection

Access permissions

You need local administrator permissions for the installation and for its later use. This is usually the case, if you were able to install other programs before.

In a network, you must be the domain administrator if you wish to install and control O&O Defrag locally as well as on the network computers.

Microsoft Windows Installer

The installation takes place with the help of the Microsoft Windows Installer. It is a Windows integrated component which controls all installation and uninstallation.


Installation

Installing O&O Defrag is very easy. Please follow the steps below:

  1. Start the computer on which you would like to install O&O Defrag.
  2. Sign in as an administrator or equivalent.
  3. Start the O&O Defrag installation file that you downloaded from our web server or that is found on your CDROM.
  4. After the setup program has been successfully initialized, please follow the installation dialogue.

More:

Information about licensing

Enter license

Uninstall


Information about licensing

O&O Defrag needs to be licensed per computer; in other words, you have to purchase a license for each computer where you want to use O&O Defrag.

If you would like to implement O&O Defrag in your company or as a technician for your customers, then please contact one of our resellers or our Sales Department.

If you do not enter a valid license key, you can still use O&O Defrag as a fully functional trial version for a limited time. Should you have any questions, please contact our Support Team.


Enter license

Note: In order to activate O&O Defrag after installation or to gain access to the Full Version at a later time, you must possess a valid license key. This license key is also called a registration code, serial number, or product ID.

The dialogue for registration always appears automatically at the start to guide you if you are using an unregistered version or have entered the registration code incorrectly.

  1. The registration wizard allows for a simple registration process.
  2. When you select the option I want to enter my license, a dialog box will appear where you can enter the registration code you received when purchasing the software.
    If you have purchased the download version of the software, please enter the license information ("Name", "Company" and License key), just as they are written in the confirmation E-Mail you received.
    If you have purchased the box version of the software, please enter the license key as it is written on the license card included. In addition, please enter your name and if needed your company.
  3. Please make sure that you do not confuse the digit “1” with “I” or enter any empty spaces where they don’t belong.
  4. Press Next to save the registration data or Cancel to leave the dialog window without saving the data.
  5. When you have correctly entered the license code you will receive a confirmation in the dialog window.

If you encounter problems while entering your license key, please contact our Support: support@oo-software.com

Note: If do not enter a valid license key, you will be able to use O&O Defrag as a test version for a limited time only.

Registration wizard: Enter the license key


Using the test version

You can use the trial version of O&O Defrag free of charge for 30 days. Each time you start the program, the registration wizard will appear informing you of the time remaining for the trial period. Should you have any questions, please contact our Support Team.


Uninstall

To uninstall O&O Defrag, please follow these steps:

  1. Open the Control Panel from the Start menu.
  2. Click on Add or Remove Programs.
  3. Depending on your Edition, select O&O Defrag Professional Edition, O&O Defag Workstation Edition or O&O Defrag Server Edition from the software list.
  4. Click Remove.
  5. The O&O Defrag uninstallation program will be started.
  6. Confirm then the uninstallation of O&O Defrag. Once the uninstallation is complete, you may have to restart your computer.


Installing Updates of O&O Defrag

O&O Defrag automatically checks if a new version is available whenever it’s started.

If there is a new program version, you will be able to update your version.

Suggestion: You can find your license data and the exact version number you’re using by clicking System menu in the Ribbon Barat options.

So-called "Minor-Updates" (Version 16.1 to 16.2, 16.0 to 16.5, etc.), where smaller changes in the program have been made, are free."Major-Updates", such as from version 15 to 16, must generally be purchased.


O&O Defrag Screen Saver

The O&O Screen saver will be automatically installed, if you don't de-select it explicitly during the user-defined installation.

Together with the O&O Screen Saver the defragmentation of the hard disk is started, while the computer is not in use.

The screen saver displays the defragmented drive in Cluster View so that you can follow the defragmentation live.

In addition, the status text generated by O&O Defrag is shown in the background.

As is the case with most screen savers, the operation of the O&O Defrag Screen Saver stops as soon as mouse or keyboard activity is detected.

O&O Defrag Screen Saver

To change the settings for the O&O Defrag Screen Saver, open the settings for Display in the Control Panel and then select Screen Saver. Select the O&O Defrag Screen Saver from the Screen Saver drop down menu. Under Windows 10, please click on the Windows key and then on Settings. In the settings select Personalization, under Lock screen you will find Settings for screensavers.

By clicking the Settings button, you will be presented with a new window containing the settings for adjusting the O&O Defrag Screen Saver's operation.

Rotation Speed

This slide bar regulates the rotation speed of the defragmentation display.

FPS Limit

FPS stands for "Frames Per Second". This is the number of frames displayed on screen per second. A higher refresh rate means a higher hardware load, however it also means a better 3D display.

X, Y, and Z Position

These controls allow you to specify a horizontal and vertical positioning of the 3D view of a drive.

The control "Z-Position" changes the size of the 3D object.

Multisampling

If your graphic card supports edge smoothing, you will achieve a much better 3D illustration with this option.

Control

Here you can select the drives that O&O Defrag Screen Saver should defragment. In the column "Action", select the desired method of defragmentation for the corresponding drive.

You can find more information about the O&O Defrag defragmentation methods in the chapter Select method of defragmentation.

View

In this menu various parameters concerning the appearance of the program can be changed.


Online registration

To register O&O Defrag online, you'll need the license key you received when you purchased the program.

To register online, start O&O Defrag. The questions related to online registration always appear at the start, provided you haven’t registered online.

Online registration

More:

What are the advantages of online registration

How do I register online?


What are the advantages of online registration?

Online registration gives you the benefit of having your customer data kept safely in our files, which means we can provide you with even better service. If, for example, you accidentally lose your license key, we can quickly resend it to you without any problem. The license key is needed for using the full version of a program, getting updates, and for reinstalling the program when you make a new setup of your computer.

Further advantages will let you:

  • Be supplied with the latest information about our products
  • Make free updates on new versions of purchased items (minor updates)
  • Upgrade to a new version at a special discount price (major update)
  • Obtain support from our customer service
  • And much, much more...


 How do I register online?

How do I register online?

If O&O Defrag was purchased on our Online Shop, you’ve automatically registered with us. If O&O Defrag purchased at a retailer, you will be asked if you want to register while entering the license information. You then have the option of either registering immediately or at another time. All you’ll need is a functioning Internet connection and a valid license key.

You may also complete the registration form right here:

http://www.oo-software.com/register

Just return the completed online form by clicking “Send” and you’ll be eligible to take full advantage of our O&O Customer Service.


Getting started

The following chapters will explain how you can use O&O Defrag after it has been successfully installed. Start O&O Defrag using Start/All Programs/O&O Software/O&O Defrag. Online Help can be displayed by clicking Help or using the F1 key.

O&O Defrag main view

More:

QuickStart

Analyzing your Drives

Defragmenting your Drives

Selecting a defragmentation method


QuickStart

O&O Defrag 19 was designed to fit the needs of almost any user. The default settings for O&O Defrag are already optimally configured for most computers. The choice of options in the QuickStart dialogue covers the most common user scenarios. This means your computer can continue performing at its very best without your having to make any special settings.

  • The QuickStart wizard can be started in the Ribbon Bar on the left side of the program window.

Open QuickStart wizard

If you're using the default settings, click OK to apply the changes.

QuickStart


Schedule automated defragmentation

Optimize hard disks automatically

All modified and newly added files are checked during the automated defragmentation. Newly fragmented files will be automatically defragmented once they are no longer being accessed. This will ensure that your system is being constantly kept at its highest level of performance, and effectively prevent any additional fragmentation. The various zones of a drive will also be taken into consideration, when this option is enabled.

Optimize while the screen saver is running

The defragmentation always starts whenever your screen saver is on. For example, when you are out for lunch or away from your computer. Defragmentation will be cancelled whenever you’re working on your computer, and will continue once the screen saver comes on again.

Run defragmentation at a specified time

Here you can specify whether defragmentation should recur automatically. The next defragmentation will then start by itself without you’re having to start it manually.


Execute optimization of the system now

Optimize now

All your system's drives will be immediately defragmented. The system drive will be sorted using the OPTIMIZE/Complete method, all other drives will be consolidated using the OPTIMIZE method. We recommend this kind of optimization if you're using O&O Defrag for the very first time.


Optimizing Solid State Drives (SSDs)

For the first time, O&O Defrag enables you to optimize all makes of SSD drives. Using regularly scheduled ATA TRIM commands, an SSD will be kept informed of those hard disk areas that are available for new data. Instead of continuing to save the contents of data that’s no longer needed, the SSD can now use those freed areas for a drive-internal optimization of its data management. As a result, the SSD is able to process accesses significantly faster, and wear out on flash chips is kept to a minimum.


Analyze your drives

By analyzing hard disks, you can get an overview of how files are arranged on a drive, and how heavily fragmented they are. O&O Defrag creates a detailed status report about the fragmentation level once the analysis has been completed.

This level can lie between 0% and 100% whereby a lower value (ideally 0%) indicates that your data is not fragmented. A value close to 100 is really a worst case scenario – your files are almost completely fragmented. Even values of around 15% indicate that the performance of your system is seriously affected, and that a defragmentation is strongly recommended.

Level | Description and Recommendation
< 2% | Almost all files are optimally arranged on the hard disk. This is the ideal condition and can only be achieved and maintained by running a defragmentation at regular intervals.
2% – 5% | This degree of fragmentation is still acceptable for a system drive and indicates that your system is running at an almost ideal level of performance.
6% – 10% | This degree of fragmentation is still acceptable for data drives but frequent accessing of such data requires a lot more time than under ideal conditions.
11% – 20% | Your system is working slower than normal because of heavy fragmentation. Use O&O Defrag's scheduling feature to run defragmentations at regular intervals. This will help keep your system running at a good speed.
Above 20% | Your system is very heavily fragmented and suffering from severe performance loss. You should defragment your system right away, and create jobs for defragmenting at regular intervals. Compare the fragmentation levels before and after the next defragmentation run.

More:

Starting an Analysis


Starting an Analysis

  1. Select the drive you want to have analyzed from the list of drives.
  2. Start the Analysis using the Ribbon bar or the right-click menu.
  3. Depending on the size of the drive, the analysis can take some time. You can see the analysis being done on the drive icon and in the status display.
  4. When the analysis is complete, you can view the detailed status report as a HTML document in your web browser.

Note: You can analyze several drives simultaneously. Mark the various drives by keeping the Ctrl key pressed while selecting.

Start the analysis of your drives


Defragmenting your Drives

O&O Defrag allows you to defragment individual drives or entire computers with just a few mouse clicks.

Start defragmentation

More:

Defragment Single Drives

Defragment an Entire Computer

Defragmenting individual files and folder


Recommendations for your first defragmentation

The first defragmentation usually requires the most time because O&O Defrag has to check your entire system and move all files into their optimal position. This is especially the case with systems that have been in use for a long time and have rarely or never been defragmented.


Defragment Single Drives

  1. Select the drive you wish to defragment from the drive list.
  2. Clicking the Start button in the Ribbon Bar will start defragmentation using the OPTIMIZE default method. If you want to change this method, open the Start button's lower menu and select the Method you desire.
  3. Depending on the size of your database, defragmentation can take up to several hours. You can see the defragmentation in progress on the drive symbol and the status display.
  4. Once defragmentation is completed, you can have a detailed status report displayed as an HTML document in your web browser.

Note: You can defragment several drives simultaneously by pressing the Ctrl key and selecting the drives you want to have included.


Defragment an entire computer

  1. To defragment your entire computer, select all the drives in the drive list. A multiple selection can be done by pressing Ctrl.
  2. If you click the Start button in the Ribbon bar, defragmentation with the OPTIMIZE default method will begin. If you want to change this method, first open the Start button's lower menu and select the Method you desire.
  3. Depending on the size of your database, defragmentation can take up to several hours. You can see the defragmentation in progress on the drive symbol and the status display.
  4. Once defragmentation is completed, you can have a detailed status report displayed as an HTML document in your web browser.


Defragmenting individual files and folder

You can also defragment individual files and folders. Just right-click the folder or file you want and select Defragment. O&O Defrag will be opened and the defragmentation begins. Defragmentation of smaller amounts of data is often completed within just a few seconds.

Defragment folder by right-clicking


Selecting a defragmentation method

O&O Defrag provides three methods for defragmenting a hard disk divided into zones. The choice of methods appears whenever you open the lower menu of the Start button.

Note:If you have disabled zone filing, you will only have the methods of the previous versions available. An explanation of this can be read in the chapter on Standard defragmentation methods.

Default sorting (can be customized by the user, see Zone filing):

  • Zone 1 (operating system and installed programs) - sorted by file name
  • Zone 2 (user data and settings) - sorted by date of last access
  • Zone 3 (seldom used and large files) - Files consolidated to get the most contiguous free space

Selecting a defragmentation method

Overview

The following chart provides an overview to help select the right method for each intended use. The best results can be achieved by your selecting the right method for the function that is being performed. An empty field means that another method is better suited for getting optimal results.

Recommendation for: | OPTIMIZE | OPTIMIZE/Quick | OPTIMIZE/Complete
First-time defragmentation |  |  |
Occasional, repeated defragmentation |  |  |
Frequent defragmentation |  |  |
After the installation of a larger program |  |  |
After the installation of a game |  |  |
After the installation of a comprehensive Update (e.g. Service Pack) |  |  |
After the installation of a program or a game |  |  |
Defragmentation of system drives |  |  |
Defragmentation of data drives |  |  |
Very large files, seldom changed |  |  |
100.000 files |  |  |
500.000 files |  |  |
1 million files |  |  |
Above 5 million files |  |  |

Key:

Very applicable

Applicable


OPTIMIZE

OPTIMIZE is O&O Defrag's default method. It executes a SPACE defragmentation in all three zones of the selected drive. The files will be so arranged in order to maximize the resulting free disk space. It is the recommended default method because it works thoroughly as well as well as quickly.


OPTIMIZE/Quick

OPTIMIZE/Quick provides a speedy defragmentation requiring very little hard disk usage. It defragaments files in all the different zones. It also moves files which are not located in the correct zone to the right one. This method is new in that it aggressively reduces fragmentation of extremely fragmented files, without having to analyze the entire file system.


OPTIMIZE/Complete

OPTIMIZE/Complete replaces or combines the properties of the previous COMPLETE-Methods. The user decides which method should be run on each zone (SPACE or COMPLETE sorting). A new sorting of the data allows the defragmentation to be done more thoroughly, but at a considerably slower pace than the standard Optimize method. This method is only needed when, for example, you want to rearrange the files on a hard disk following a large-scale program installation.


Standard defragmentation methods

In addition to the three new methods, O&O Defrag continues to offer its five older methods for defragmenting your computer.

  • STEALTH
  • SPACE
  • COMPLETE/Access
  • COMPLETE/Modified
  • COMPLETE/Name

All methods can be used on all drives, including volume sets, stripe sets with and without parity, etc., and are equipped for best possible data security. This is achieved by their working together with the defragmentation routines integrated into Windows, and guarantees that data will not be lost if your computer or network crashes, or if there is a power cut.

Defragmentation methods

Note: Please bear in mind that the older methods can only be selected if zone filing is disabled.

Performance new and old methods of O&O Defrag

 | Methods optimized for Zone filing |  |  | Standard methods
 | Optimize | Optimize/ Quick | Optimize/ Complete | Space | Stealth | Complete-Methods
Defragmentation of files |  |  |  |  |  |
Defragmenting the free space |  |  |  |  |  |
Prevention of further fragmentation |  |  |  |  |  |
Results of high-level fragmentation* |  |  |  |  |  |
Suitability for very large files (> 4 GB) |  |  |  |  |  |
Suitability for many files (> 1 M) |  |  |  |  |  |
Run time of first defragmentation** |  |  |  |  |  |
Run time of recurring defragmentation |  |  |  |  |  |
Required RAM |  |  |  |  |  |
CPU Load |  |  |  |  |  |

Very Applicable (with runtime: quick)

Extremely Applicable (with runtime: very quick)

* Our understanding of high-level fragmentation is a poorly maintained drive containing a large number of heavily fragmented files with little free space available.

** The run time of the first defragmentation lasts longer than with the previous version as a result of data being divided into zones.

More:

Conflicts with Shadow Copies during Defragmentation

STEALTH Method

SPACE Method

COMPLETE/Access Method

COMPLETE/Modified Method

COMPLETE/Name Method


STEALTH Method

The STEALTH method differs from other methods in that it is much faster and uses much less main memory for the defragmentation.

Algorithm

The STEALTH method is based on our unique STEALTH technology and allows an unprecedented level of defragmentation on computers having a large number of files, little free space or available main memory.

This method defragments all fragmented files and tries to consolidate them in order to optimize available free disk space. Speed and resource usage are the main considerations here, and the method is therefore not quite as thorough as the SPACE and COMPLETE methods.

Recommended Application

The STEALTH method is especially useful for defragmentation on a regular basis.

  • Initial defragmentation of your system
  • Computers with few available resources, as the method does not greatly increase the CPU usage and does not require much free hard disk space
  • Servers with very large hard disks (e.g. more than 4 terabytes)
  • Computers with a very large number of files (more than 3,000,000 files)


SPACE Method

The SPACE methods offer you a great solution for heavy fragmentation. It also allows you to consolidate your data so that the amount of contiguous free space is as large as possible and further fragmentation is prevented.

Algorithm

All fragmented files will be defragmented, and then placed into the free slots in which they fit. This maximizes contiguous free space. This method is very quick and efficient and it does reorganize your volume, but not as thoroughly as the COMPLETE methods.

Recommended Application

The SPACE method is ideal for the first defragmentation run on a system that has never been defragmented, as it requires far less free space than the COMPLETE methods. SPACE can also be used for regular defragmentation runs.

  • Initial defragmentation of your system
  • Computers with few available resources, as the method does not greatly increase the CPU usage and does not require much free hard disk space
  • Servers with large hard disks (e.g. more than 1 terabyte)
  • Computers with a large number of files (more than 100,000 files)


COMPLETE/Access Method

The COMPLETE/Access method defragments your files and reorganizes your file structure. Although this method is slower than the STEALTH and SPACE methods, it guarantees maximum system performance when your files are being read.

Algorithm

Files are sorted according to when they were last accessed. The files that have been accessed the least will be placed at the beginning of the partition and those accessed most frequently are put near the end. Seldom-used files are defragmented and will not need to be moved in future. Frequently-used files are placed at the end of the drive. This strategy means that future defragmentation runs will require the least amount of time, as fewer files need to be checked and defragmented.

Recommended Application

If you want to use the COMPLETE/Modified method for your regular defragmentation runs, you should bear in mind that you only use this method on your drive. Combining various methods (COMPLETE, STEALTH, and SPACE) can result in defragmentation taking much longer, as the file system would need to be reorganized each time.

  • Maximizes the read access performance on servers
  • For regularly defragmenting your volumes
  • On computers that have sufficient resources available when the defragmentation takes place – CPU usage is likely to increase significantly (it is strongly recommended that you use the O&O ActivityMonitor). A larger amount of free disk space is necessary with this method.
  • All kinds of servers and workstations


COMPLETE/Modified Method

The COMPLETE/Modified method defragments your files and also reorganizes your file structure. Although this method is slower than the STEALTH and SPACE methods, it guarantees maximum system performance when your files are being read.

The COMPLETE method is particularly suitable for databases and file servers. It is important to bear in mind that this method requires quite a lot of main memory due to file reorganization. If this is likely to be a serious problem for your system, we recommend you use the STEALTH or SPACE methods.

Algorithm

Files are sorted according to the date on which they were last changed. The files which have not been changed recently are placed at the beginning of the partition and those recently changed are placed at the end. This option is a good one for file or database servers containing files that have never been changed (e.g. system files), but where others, on account of their size or content, are frequently modified. (e.g., database files)

This strategy means that future defragmentation will require the least amount of time, as only a few files need to be checked and defragmented.

Recommended Application

If you want to use the COMPLETE/Modified method for your regular defragmentation runs, you should bear in mind that you only use this method on your drive. Combining various methods (COMPLETE, STEALTH, and SPACE) can result in defragmentation taking much longer, as the file system would need to be reorganized each time.

  • Maximizes the performance for write access on servers
  • For regularly defragmenting your volumes
  • On computers that have sufficient resources available when the defragmentation takes place – CPU usage is likely to increase significantly (it is strongly recommended that you use the O&O ActivityMonitor). A larger amount of free disk space is necessary with this method.


COMPLETE/Name Method

The COMPLETE/Name method defragments your files and also reorganizes your file structure. Although this method is slower than the STEALTH and SPACE methods, it guarantees maximum system performance when your files are being read.

The COMPLETE/Name method is particularly suitable for system drives. It is important to bear in mind that this method requires quite a lot of main memory due to file reorganization. If this is likely to be a serious problem for your system, we recommend you use the STEALTH or SPACE methods.

Algorithm

Files are sorted alphabetically from the beginning to the end of the partition and this leads to quick access to files in a directory. When Windows starts up, many system files will be read in sequence from the \WINDOWS and the \WINDOWS\system32 directories (DLLs, system drives, etc.) and the start-up time will therefore be shorter.

This method is particularly recommended for computers on which the files rarely change. This reduces the reorganization time that is needed for every defragmentation.

Recommended Application

Please bear in mind that if you use the COMPLETE/Name method for your regular defragmentation runs, it should be the only one used on the drive. Combining various methods (COMPLETE, STEALTH, and SPACE) can result in defragmentation taking much longer, as the file system would need to be reorganized each time.

  • Maximizes the performance for the read access to workstations
  • For regularly defragmenting your volumes
  • On computers that have sufficient resources available when the defragmentation takes place – CPU usage is likely to increase significantly (it is strongly recommended that you use the O&O ActivityMonitor). A larger amount of free disk space is necessary with this method.
  • All kinds of servers and workstations


User Interface (GUI)

The main view of O&O Defrag consists of the following components:

Key:

  1. Ribbon Bar
  2. Drive list
  3. Cluster View (see Figure)
  4. Time view
  5. History
  6. Drive status
  7. Job View
  8. Reports
  9. File statusFile status


Drive List

The drive list displays information about every drive and the action O&O Defrag is currently running on it. The columns of this list can be setup as you like. All you need to do is right-click the drive and click Change Columns.

The default display consists of the following: drive letter, status, progress of an action in percent, number of fragmented files, size of drive, amount of free space, file system, and the current file/folder.

Drive list


Cluster View

The Cluster View displays a drive's allocation graphically.

  • To see this, select one or more drives from the drive list and click ClusterView below the status window. Please note that by selecting multiple drives, you can view them in a split cluster view.

Cluster View - multiple drives

The display will show a certain amount of clusters* arranged graphically as a block. The number of clusters per block is indicated in the title line of the Cluster View. You can change the size of the blocks and the way they appear on screen. This can be done using the right-click menu. If shaded view is enabled, blocks will represent the actual allocation in a mixed color. If you choose not to use block shading, the block will be displayed in prioritized full color as listed below.

Description | Explanation
Being processed | O&O Defrag is working on clusters contained in this block.
Locked exclusively | The block contains files that are exclusively locked by Windows or other applications (e.g. the registry).
Paging file | The block contains parts of the paging file.
Fragmented | The block contains parts of a fragmented file.
Folder | The block contains parts of a non-fragmented directory.
Compressed | At least one cluster is allocated by a non-fragmented compressed file (NTFS only).
Allocated | At least one cluster is allocated by a non-fragmented file.
System | At least one cluster is allocated, but could not be assigned to a file.
Reserved for MFT | This area is reserved for the Master File Table (NTFS only).
Free | All clusters are empty.

* Note: A cluster represents the smallest logical allocation unit that the operating system can use for saving files on a disk.


Defragmentation summary

After each defragmentation run you will be presented a comparison of the drive's allocation before and after optimization by O&O Defrag. The defragmentation summary clearly shows the difference a defragmentation makes.

Defragmentation summary


Job View

The job view lists all the defragmentation jobs assigned to the computer. Jobs can be edited, copied, or deleted by marking the job and selecting the desired entry in the right-click menu.

Job View


Reports

O&O Defrag stores and manages all reports in Reports. Once you've enabled the option for creating status reports, the results of all analyzing and optimization processes will be recorded. The reports are listed chronologically and grouped in folders. The information in brackets indicates the drive and job for which the report was created. The reports contain all the relevant information about a drive's database, see Status reports.

  • Double-click any report to have it displayed in your Internet browser.

Report view


History

Thanks to clearly displayed statistics, you can tell what effect a regular defragmentation is having on your system and you can track the success over weeks and months. You can monitor how many files have been sped up and how many excessive file fragments have been put together, for example. Based on the, you can then adjust your settings to match the defragmentation to your computer habits in order to get the best results.


Drive status

Displays information about the conditions of selected drives before and after defragmentation.

Here you can find information about your drive, the amount of space being used on it, and the file system. The refreshed pie chart will dynamically represent the proportional level of fragmentation during a defragmentation run.

The Status for the entire drive informs you about both the analyzed as well as the non-analyzed files and folders. A new evaluation occurs dynamically with each defragmentation.

Drive status


File status

File Status provides an overview of the largest and most heavily fragmented files on your drive. The contents of this file system statistic can also be found in the status reports. You have to first analyze the file statistics of a drive in order to have them displayed here. This will occur after you click Analysis in the Ribbon bar.

Files can be listed according to various criteria with the Sorting drop-down menu.

File status


Tray icon (Notification area icon)

You can check the status of a running defragmentation using the tray icon (or Notification area icon) as well as the user interface. The tray icon is located on the Task bar.

  • To check the current status of O&O Defrag, place your mouse cursor over the TrayIcon.
  • You can also use the right-click menu to start and stop defragmentation, exit hibernation mode, and open the user interface.
  • The tray icon can be closed using the right-click menu entry Close.

You'll be able to see the program's current activity displayed in the tray icon. By running your mouse over the tray icon, the tooltip will provide you with more information about the program's current status.

O&O Defrag is not running any action.
O&O Defrag is analyzing your drives.
O&O Defrag is running a defragmentation. Here using the Optimize method on drive C.
O&O Defrag is running automatic optimization in the background.

By right-clicking the tray icon, you can directly access the options for controlling O&O Defrag. You can, for example, start running a defragmentation or stop one that is in progress. Exit will let you remove the tray icon from display.

You can learn more about using the tray icon in the chapter Settings for the tray icon

Note: to reopen a closed tray icon, the user needs to login again.

More:

Settings for the tray icon

Hibernation mode


Hibernation mode

You can set O&O Defrag in the hibernation mode using the right-click menu of the Tray icon. This makes sense if you need the full capacity of your computer for your applications, and want to make sure that O&O Defrag is not in operation during this time. We recommend closing the user interface to save load on your main memory.

  • To set O&O Defrag into hibernation mode, right-click the Tray icon and click Hibernation mode.
  • To exit O&O Defrag’s hibernation mode, select Exit hibernation mode in the right-click menu of the Tray icon, and reopen the user interface if needed.

Right-click menu of O&O Defrag’s Tray icon


Schedule defragmentation at regular intervals

Defragmentation on a regular basis is the key to maintaining top performance. O&O Defrag offers you a sophisticated scheduling system so that you don’t have to run the defragmentation manually each time.

Defragmentation jobs allow you to define the time, the activity and the additional parameters for defragmentation. All job settings may be specified, as you can see from the settings dialogue.

You can create, edit and delete jobs. If you want to leave out a job for a short period of time, but don’t wish to cancel it completely, you can disable it. In this way, the job will not be run until you enable it once again.

  • To create a new defragmentation job, select Create in the ribbon bar. You can then define all settings for the jobs in the O&O Defrag job dialogue.

More:

Create job - General

Plan a schedule

Duplicate job

Edit jobs

Delete job


Create job - General

Enter the name of your job. This name will later be used for creating reports and will provide information about the action the job runs. The name of the job is only important for this purpose and it is possible to use this name for other jobs too.In the field Notes you may enter text that can provide a few details about the job.

Post-job task
Here you can optionally select an activity you want completed after defragmentation. If your system BIOS supports power management functions, you can get O&O Defrag to shut down or restart your system when the defragmentation is finished.

Shut down: the operating system will be shut down after the defragmentation job has been completed.

Restart and run Boot time defragmentation: The computer will be restarted after the defragmentation has finished, and will then run a boot time defragmentation.

Restart and shut down after boot time defragmentation: The boot time defragmentation can be executed after the restart. You can then leave your computer while it is being defragmented – It will shut down afterward automatically.

Create a new Job


Plan a schedule

Under Schedule you can specify the time of execution. You can schedule a job for one time only or repeatedly at a specified week day, or whenever the Screen saver is running. The options for how this should be done will change according to the way you select to run the job.

With the help of the start and end date (First job execution/Last job execution) you can specify the time frame, in which the job is to be executed. The maximum running time limits the running of a job to a particular time frame, after which the job will stop whether it has finished or not. It will be continued at the next run.

You can also enter advanced options. If you want to run the job several times a day, enter the desired interval under Advanced/Repeat job execution.

The option If the start time cannot be adhered to, start later is meant for computers that are not switched on the whole time. Normally, a job is skipped if the computer is shut down, and will be continued whenever it is turned on again. If this option is enabled, the defragmentation will be run whenever the computer is switched back on. This ensures that your job won’t be ignored.

Job Dialogue: Schedule


Screen Saver Mode

O&O Defrag can be instructed to always start when the screen saver is active. A defragmentation will be run automatically, if your computer is not in use.

Create a new job for doing this and in the Schedule tab, select Frequency/ScreenSaver. All other settings are specified by O&O Defrag itself.

As soon as the screen saver ends (login, etc), the running defragmentation stops.

Note: Make sure that the screen saver is enabled. Otherwise, it is not possible to start the O&O Defrag screen saver mode. More information on enabling the screen saver can be found in the Windows help file.


Select drives

Specify the defragmentation method for each drive you want to optimize. You can also enable boot time defragmentation for each drive, so that blocked files can be defragmented when your system starts up.

By entering a minimal fragmentation level, you can define the fragmentation level at which defragmentation will automatically be started. You can thereby reduce significantly the number of defragmentation runs needed, if you don’t require a fully defragmented system all the time. A 0% level of fragmentation means that defragmentation is being run at all times. We would recommend you enter a value of between 2% and 6%.

You can also specify whether the data of a drive should be filed into zones during defragmentation. This division will allow for even faster system and program starts. In addition, important system and program files will be prevented from fragmentation.

Job dialogue: Selection of drives and methods


Exclude and include files

You can specify individual settings for every job. These settings complement the global settings for this computer while the job is running.

Under Files in the Job assistant, you can exclude files and folders from defragmentation. You can for instance exclude a complete folder, but still put certain files from it the list of files to be defragmented. In addition, you can also specify that large files should not be defragmented or moved due to time constraints.

Exclude files

Under Excluded files you can specify which files you want to exclude from defragmentation.

  1. Click Select files.
  2. Select the file or the folder you wish to exclude in the dialogue in the Explorer view and click Add. You can also allocate more files and folder to the selection.
  3. If you have made your selection, confirm your entries with Apply.

Include files at all costs

Under Files that must be defragmented you can specify which files must be defragmented, even if they have been excluded previously due to a higher ranking condition.

  1. Click Select files.
  2. Select the file or the folder you wish to exclude in the dialogue in the Explorer view and click Add. You can also allocate more files and folder to the selection.
  3. If you have made your selection, confirm your entries with Apply.

By size

Optionally, you can also exclude very large files from the defragmentation due to time constraints. In the dialogue specify the size above which a file should not be optimized or moved during defragmentation.

Select files


O&O ActivityMonitor for Jobs

Under O&O ActivityMonitor, you can specify the start of a job depending on the system load as well as the maximum share of the CPU that may be used by O&O Defrag at one time.

System load

Here you can specify that O&O Defrag should not exceed the CPU by a certain value during a defragmentation. In addition, you also have the possibility to prevent a job from being run if the target drive is in heavy use or other programs are consuming much CPU.

Program list

Here you can specify that a job should not be run if certain other programs are currently being executed. These programs could include imaging programs, a virus scanner, or even games. For this, click the plus sign and select the programs in the browser window.

Energy

Jobs can also be scheduled to run only if the computer is working from a main power supply, which is very useful when using notebooks.

If a computer is in standby mode whenever a job is scheduled to start, the job cannot be executed. Here you can also set to reactivate the computer from the standby mode to successfully run a job.

O&O ActivityMonitor for jobs


Further job settings

Under Settings in the job dialogue you can influence the default behavior of different drive types during the job execution.

Check drives before defragmentation and cancel if errors exist

You can have O&O Defrag check the integrity of your drives before a defragmentation. If O&O Defrag finds an error on one of your drives, the defragmentation will not be run (for safety reasons). Checking the drives corresponds with the Windows chkdsk function, yet, it only can run scans in the read-only mode and thus not correct errors. In case of error, you need to run the chkdsk command manually.

Job may defragment several physical data volumes at the same time

You can defragment your drives either parallel or sequentially. Sequential defragmentation means that one drive will be defragmented after the other, in alphabetical order.

During parallel defragmentation, partitions that are located physically on different hard disks are processed at the same time. This shortens the total time needed for completing defragmentation but also leads to a higher system load by O&O Defrag. If you only have one hard disk in your computer, all partitions on it will be defragmented sequentially.

Considering the system parameters on how to allocate files.

Only valid for Windows 7 and Vista: during defragmentation, the layout.ini file is used as reference to allocate files optimally on the hard disk. The optimal sequence for start files proposed by the operating system will be considered in order to initiate the system start as quick as possible.

Under Advanced options you can specify how different drive types are supposed to be handled during the completion of the job:

  • Include removable drive
    Removable drives (e.g. ZIP, Jaz or DVD RAM) can also be defragmented.
  • Include external drives
    It is also possible to defragment drives that are connected by an external interface, such as a USB or FireWire.
  • Protect SSD drives from defragmentation
    SSD-drives are subject to physical wear out of flash chips and this might be made worse as a result of defragmentation. Based on their special construction, defragmentation will not increase performance of SSDs. They should not be defragmented, see SSD optimization.
  • File into zones
    This option is enabled by default. The data is filed into different hard disks areas (zones) during the defragmentation based on access requirements, also see Zone filing.

Reports and Logging

You can create status reports in an HTML format. A maximum of 999 reports can be created and saved.

Please enable this function if you want to log all O&O Defrag activities into the Windows Event log. You can specify the detail level for notifications - whereas level 1 only logs errors and level 4 stores all the information available. Please bear in mind that this might lead to many log entries, which in turn overwrite entries by other programs or systems.

Further settings for jobs


Run scripts before and after a job

Running batch commands before and after a job enables you, for example, to pause certain Windows services before defragmenting and then continuing them afterwards. Files that are normally in use by other applications can now be defragmented online. If you use O&O Defrag on a Microsoft Exchange or SQL-Server, you can pause these services before defragmentation, optimize the drives and then automatically continue with the services. You no longer need to create a script to do this.

Please note: All commands must exist and be capable of running on the target computer. All commands are run under the SYSTEM username with the maximum system permissions.

Running scripts before a job

When this option is enabled, all the commands entered into the text field will be run before defragmentation. You can also import an existing file and insert its contents into the text field.

To do so, simply click the Import button and select the desired file in the dialog box (.BAT, .CMD, or .TXT). Confirm with OK.

Running scripts after a job

If this option is enabled, the commands entered in the text field will be run after defragmentation. The entering and running of commands after a job are similar to those run before a job.


Edit jobs

You can modify a job at a later time, by selecting it in the job view and then right-clicking and selecting Edit. The O&O Defrag job dialogue will appear with the options for that job. Make the changes and confirm your entries with OK.

Edit jobs


Duplicate job

If you are using an already existing job and want to edit it, you may duplicate it. Select the job from the job list, right-click it and select Duplicate job.

You can select the job with a double click, and then edit and save it in the corresponding job dialogue.


Delete job

To delete a job, select it in the job list, right-click on it and select Delete job. The job will then be deleted. The execution of the job is cancelled immediately.


Status reports

Status reports inform you on the performance state of your computer. The status reports by O&O Defrag include general information about drives and file systems, as well as the results of already executed defragmentations. They also include detailed lists of files that negatively influence system performance the most, either by their size or level of fragmentation.

The reports are HTML documents and can be read with any internet browser.

Status Reports Show Increases in Performance

Status reports include the date of creation so that you can compare them and see how performance has improved.

O&O Defrag Status report


Creating Status Reports

Status reports are created after each analysis and after each defragmentation. Make sure that the option Create reports under Settings/General is enabled.

The O&O Defrag agent can keep a maximum of 999 reports for one computer, after which the oldest reports will be replaced by newer ones.

  • Please select the drive for which you want to create a report from the drive list.
  • Create the status reports by clicking Create in the Ribbon bar.
  • The drive will be analyzed. You can see an analysis being run with the drive symbol in the progress display.
  • Once an analysis is completed, the status report will be automatically saved and displayed.

Note: You can also create status reports for several drives at the same time by pressing the Ctrl key and selecting the drives you want to have included.


Evaluating Status Reports

Based on the O&O Defrag status reports, you can document the level of fragmentation as well as the results of defragmentation on your system. Status reports contain all important information regarding your hard disk drives.

The level of fragmentation is particularly important. It constitutes a normalized value of the fragmentation and can be used as a comparison for different systems and for hard disks of different sizes. This value ranges from 0 (completely defragmented) to 100% (completely fragmented). A low value of (under 5%) is recommended. You can also use this value in jobs when defining a threshold for an automatic defragmentation.


Deleting status reports

To deletea status report, select it in the report list and use your keyboard’s delete key. If you want to delete an entire report group, e.g. "Last month", all reports will be deleted in the specified time period.

The function Delete all, allows you to delete all reports at the same time.


Check drive

In the Ribbon bar under Check drive, you have the possibility to check the drive for errors. You can find the corresponding report as usual under the tab Reports. Checking the drives corresponds with the Windows chkdsk function, yet, it only can run scans in the read-only mode, and thus cannot correct errors. In case of error, you need to run the chkdsk command manually.

It is strongly recommended to thoroughly check a drive if an error is detected. More information can be found in the Windows Help file.

You can cancel the check by clicking on stop in the Ribbon.


O&O ClusterInspector

With the O&O ClusterInspector, O&O Defrag gives you a convenient tool for checking how the hard disk is being used.

  • Access the O&O ClusterInspector by double-clicking on a block in the ClusterView. The O&O ClusterInspector will then show you the files located on the block.
  • About 50 file entries will be displayed by default. To show the following files, click the arrows to control the currently selected hard disk section.
Start cluster | Start of the currently displayed file section on the hard disk
Cluster number | Specifies, how many clusters are used by this file in this block
Fragments | Number of areas in which this file is divided. A fragment number higher than 1 means that the file is fragmented.
Size | Specifies how much physical area space the file occupies on the data volume.
File | Absolute path of the file

Tip: A cluster is the smallest allocation unit that the operating system uses for storing of files on a disk.

O&O ClusterInspector

More:

View file status (Details)


Display file position (Details)

Through Details of a file, you will find out, where the individual fragments of the file are located on the hard disk and to what degree they are fragmented.

  1. To find out more on the selected file click on Details.
  2. All corresponding file fragments are listed with a cluster number and their size. All clusters used by a file are highlighted in the ClusterView. You will be able to find out the degree to which the scanned file is fragmented, as well as where it is located on the hard disk.

O&O ClusterInspector: Show details


O&O DiskCleaner

O&O DiskCleaner

O&O Defrag offers a convenient tool with O&O DiskCleaner that searches for and removes temporary and unnecessary files that consume space and increase fragmentation.

  • O&O DiskCleaner wins back otherwise used space
  • Advantage for data protection:
    • Analyzes the database and provides you with an overview of temporary and unneeded files.
    • Particularly in temporary files, temporary Internet files, thumbnails and the cache of the Windows Indexing Service may contain residues of highly personal data. You have almost no possibility to overlook where, for example, remains of Word documents or photos are located on the hard drive.
  • With just one click, you can optimize the database of drives and decide which file types to delete.
  • You can find O&O Disk Cleaner as Ribbon-entry under Start. You now have the opportunity to select analyze, cleanup or settings.

O&O DiskCleaner – Settings

Here you can decide what file type should be deleted, we have already set up a safe default setting for you.

Note: Cache of the Windows Indexing Service and Recycle Bin are disabled by default. If the Indexing Service Cache is cleared, the Windows Search can be significantly slowed. Since data might be accidentally sent to the Recycle Bin, it is not selected. You should select this option only if you are sure that data in the Recycle Bin can be deleted.

O&O DiskCleaner – Settings

Temporary files | Files temporarily stored by the system or programs and not deleted after use. These are no longer required and can be safely deleted.
Temporary internet files | Files downloaded by browsers and mail programs when online and retained for speed increase purposes. They can be very large, and they can be deleted safely.
Downloaded Windows updates | As a rule, after Windows and Program updates are downloaded certain components remain left over. These are no longer required and can be safely deleted.
Memory dumps of system errors and crashes | After driver errors or program crashes, images of the system are retained for diagnostic purposes. They can be very large, and they can be deleted safely.
Windows error reports | After driver errors or program crashes, error logs are collected and retained to be sent to Microsoft. This data can be safely deleted.
Thumbnail cache | With every access to pictures, videos and documents the operating system creates miniature versions for a quicker preview of the content. They can be very large, and they can be deleted safely.
Setup log files | During an installation process the operating system creates logs on the progress. This data can be safely deleted.
Windows indexing cache files | The Windows Indexing Service scans pictures and documents in order to make their content quicker to find in Windows search. This data can be safely deleted but will reduce the speed of Windows search.
Recycle Bin (not recommended) | The Recycle Bin contains safety copies of data that was deleted by the user. The automatic cleaning of the Recycle Bin means data deleted in error can no longer be restored.

O&O DiskCleaner – Analysis

You can select a drive for the analysis, and then click Analysis. Files that can be deleted with the help of O&O DiskCleaner are displayed in red in the ClusterView during analysis. The process can be paused or canceled at any time. Upon completion of the analysis, a report dialog ("File summary") is shown; your drive can be cleaned up after.

O&O DiskCleaner – Analysis report

O&O DiskCleaner – Cleanup

Once you have started the cleanup, it can be paused or canceled at any time. During the cleanup erasable files are displayed in red and the deleted files in yellow in the Cluster View. After the cleanup, there is both an entry in the history, as well as a detailed report with the list of deleted and locked files.

Note: Not all files can be deleted. This is the case, for example when temporary files are still in use, or the operating system has locked a file.

There are three possibilities how you can start the cleanup with O&O DiskCleaner:

1. Via Start -> "O&O DiskCleaner“ Cleanup -> O&O DiskCleaner then uses the current O&O DiskCleaner settings and deletes selected file types.

2. After a manual analysis using O&O DiskCleaner, you can select Cleanup now in the report dialogue.

3. By selecting a drive from the drive list in O&O Defrag with a “right mouse click”, and then select O&O DiskCleaner in the menu. O&O DiskCleaner also uses the most current O&O DiskCleaner settings here, and immediately deletes the selected file types.


Zone filing

The division of drives into zones enables the logical separation of the data into performance critical and non-critical files. A special algorithm makes sure that the data on the disk is optimally organized after defragmentation. Files are organized and moved into zones depending on their intended use and access rate. For instance, system and program files, which need to be accessed very quickly, are separated from other data like documents and downloads.

By the division of files according to their write frequency, it is possible to intelligently prevent fragmentation. Thanks to this logical grouping, program and system start times are shortened, future defragmentation runs faster, and new fragmentation can be prevented.

The system drive is divided into 3 zones by default. The zone filing proposed by O&O Defrag is optimal for the majority of users. You may adapt this functionality to your needs by clicking Configure zones in the Ribbon bar (see User-defined zone filing).

The following rules are set by default for the system drive:

1. Zone
Windows system files and installed applications

2. Zone:
user data, e.g. Office documents, temporary files, user profile

3. Zone:
Seldom used data and very large files, e.g. Windows Recycle Bin and files over 500 MB

Note: Zone filing is disabled by default.

Enable zone filing
To enable zone filing, select File into zones in the drop down menu in the tab Options under Settings in the ribbon bar.

Disable zone filing
To disable zone filing, deselect File into zones in the drop down menu in the tab Options under Settings in the ribbon bar.

ClusterView with zone filing

Key:

  1. Zone 1 (light background)
  2. Zone 2 (dark background)
  3. Zone 3 (light background)

More:

Rules for individual drives


Rules for individual drives

You can customize the default configuration according to your wishes and create new settings for individual drives or drive groups.

  1. If you want to create new rules for individual drives, click Zone filing and under All drives click Add new.
  2. In the following dialog, select the drive for which you want to create a new rule. You have a choice between the System drive or All other drives (data volumes). You can also select individual drives for the list.
  3. Confirm your selection with OK.

The drives you selected will then appear in the list of drives. To create a new rule, you have to select the drive and on the right side of the program window, under User-defined rules for the separate zones, clickAdd new rule .

More:

User-defined zone filing

Notation for rules


User-defined zone filing

You can modify the default configurations, by defining your own rules for zone filing. With the help of these rules, you can specify where a file should be placed in the zone based on its name and the paths.

You can use the charts in chapter Notations for rules as reference for rule notation.

  • You can create user-defined rules valid for all drives. Select All drives from the drive list, and then select the corresponding zone under User-defined rules in the sub-item Add new rule.
  • If you only want to create rules for certain drives, select the drive from the list, click the corresponding zone to the right under User-defined rules, and then the sub-item Add new rule. This specific rule overrides the higher rule if they intersect.

Always file into three zones

Here you can specify that files with a certain size should always be filed to zone three. Path-based rules, which include a very large file, always have a higher priority than the size based rules.

You can specify different optimization strategies for each zone. The strategy allowed is used by OPTIMIZE/Complete, the most thorough method employed by O&O Defrag. You have the following strategies to choose from:

Consolidate files

Files are defragmented and packed together as closely as possible to create large connected free hard disk areas. This prevents a fragmentation of newly created files.

Sort files

Files are sorted based on a certain criterion (file name, modification date, last access date). This allows files that are often in use to be accessed and loaded faster.

Zone filing


Notation for rules

In the following chart, you can find the correct syntax and examples for user defined rules to help you influence zone filing.

If you want to work on a file, then enter the absolute path.

Example: c:\windows\explorer.exe - only this file is worked on

If you want to capture all of a folder’s sub- entries (files and sub- folders) by a rule, the rule expression needs to end with "\*".

Example: c:\windows\system32\*

If only one folder without sub folder should be captured, then enter it without an expression:

Example: c:\windows\system32

If you want to move all files of a certain type to one zone, enter a star before the file ending.

Example: *.omg includes all files and folders ending in .omg. The star jumps over a number of symbols and searches for the expression which is located behind it.

Only files with a certain characteristic in their name and with the exact file ending are supposed to be captured.

Example: *test*123*.txt includes all text files which contain a "test" and "123" in their name. This means for example: test123.txt (the star can only jump over zeros) or also xtestyz123abc.txt.

Files can also be approached that are not constrained by where they are stored in a drive.

Example: The rule \file.txt finds all files which are called file.txt, and lie in the root directory of any drive. If no drive letter is given and the rule starts with a backslash, a path is intended that is independent from the drive on which the file it is located.

If you want to include all sub-folders of a folder, use the backslash in the beginning and at the end of the folder name and the star.

Example: \windows\* all sub-entries of all Windows folders on all hard disks

Further examples:

c:\hall?.txt - Here the question mark is any (not empty) symbol. It is also possible to cover c:\hallo.txt and c:\halli.txt or also c:\hall8.txt.

Create new rule


Settings

To adapt O&O Defrag optimally to your intended use, you can set different settings. The settings control the behaviour of O&O Defrag during the analysis and the defragmentation.

  • Click Settings in the Ribbon bar.

More:

General settings

Boot time defragmentation

O&O ActiyityMonitor

Automatic optimization


General Settings

The settings control the behavior of O&O Defrag during analysis and defragmentation.

Chkdsk before the defragmentation and cancel if errors are found

You can have O&O Defrag check the integrity of your drives before a defragmentation. You can have O&O Defrag check the integrity of your drives before a defragmentation. This check is like the Windows chkdsk function but errors that are found will not be corrected. These need to be corrected manually using the chkdsk function.

Please note: This option in O&O Defrag makes use of the native Windows chkdsk functionality. When activated, O&O Defrag executes a chkdsk on the selected drive(s) prior to running a defragmentation. Out of concern for data security and system integrity, O&O Defrag will refuse to initiate a defragmentation if chkdsk encounters a problem or error. A yellow warning triangle is displayed next to the affected drive.

A test of the connected drives in Windows can also be run manually. It is strongly recommended to thoroughly check a drive if an error is detected. More information can be found in the Windows Help file.

Defragment several physical data volumes at the same time

You can defragment your drives either parallel or sequentially. Sequential defragmentation means that one drive will be defragmented after the other, in alphabetical order.

During parallel defragmentation, partitions that are located physically on different hard disks are processed at the same time. This shortens the total time needed for defragmentation but leads to a higher system load by O&O Defrag. If you only have one hard disk in your computer, all partitions on it will be defragmented sequentially.

Considering the system parameters on how to allocate files.

Only valid for Windows 7 and Vista: The layout.ini file is used as reference during defragmentation to allocate files optimally on the hard disk. The optimal sequence for start files proposed by the operating system will be considered in order to initiate the system start as quick as possible.

Under Advanced optionsyou may modify additional functional aspects of O&O Defrag:

  • Include removable drive
    Removable drives (e.g. ZIP, Jaz or DVD RAM) can also be defragmented.
  • Include external drives
    It is also possible to defragment drives that are connected by an external interface, such as a USB or FireWire.
  • Show defragmentation summary
    Normally, after each defragmentation, a popup presenting a ClusterView before and after defragmentation with fragmentation statistics is shown.You may deactivate this feature if you would like to suppress the summary popup.
  • Protect SSD drives from defragmentation
    SSD-drives are subject to physical wear out of flash chips and this might be made worse by defragmentation. Because of their special construction, defragmentation will not increase performance of SSDs. They should not be defragmented, also see Optimizing Solid State Drives.
  • File into zones
    This option is disabled by default.If enabled, during defragmentation files will be placed in different hard drive areas (speed zones) according to specific file access patterns; for more information please refer to zones.
  • Disable automatic optimization
    Automatic optimization is enabled by default.    You may activate this function to prevent O&O Defrag from automatically optimizing your hard drives in the background.
    Enable remote administration from same network
    This feature is disabled by default.    Upon enabling, all users from the same network are granted remote access to O&O Defrag on your computer.Yourfirewall will be automatically configured to allow incoming connections to the O&O Defrag service on your computer.You may find additional information in Work within the network.

Reports and Logging

You can create status reports in an HTML format. A maximum of 999 reports can be created and saved.

Please enable this function if you want to log all O&O Defrag activities into the Windows Event log. You can specify the detail level for the notification - whereby level 1 only logs errors and level 4 stores all the information available. Please bear in mind that this might lead to many log entries, which in turn overwrite entries by other programs or systems.

Tasktray

If you wish, the O&O Defrag icon may be placed on the tasktray to display the status of defragmentation.

The logged- in user may optionally use the advanced control possibilities.

Please, see also the chapter Tray icon (notification area icon) for further information about the tray icon.

General settings


Settings for the Tray icon

Under Setting/General in the user interface you can specify various control possibilities for the tray icon.

Display the O&O Defrag icon in the notification area

This option allows you to set whether the TrayIcon should be displayed or not. If you change this option, you will need to login again to validate the new settings.

Enable enhanced control for logged in users

You can allow the logged in user to pause the defragmentation or to stop it completely. If you disable this option, the user will only receive information on the running defragmentation, he will not be able to control it.

More:

Hibernation mode


Boot time defragmentation

Defragmentation is executed in the background while the system is running and normally optimizes most files. Some system files, however, are locked by the operating system while it is running. These files can only be defragmented when they are not being used by the operating system. This is only possible at an early start phase of Windows, even before the graphical login prompt appears. At this point, no system operating processes are enabled and you cannot start any application. This phase is called Boot time defragmentation.

It is now possible, using this feature, to defragment a file which is being used exclusively by the operating system. Depending on the operating system, for example, this can be the swap file, the registration database as well as the MFT (Master File Table).

  • The options for the boot time defragmentation can be easily set in the settings dialogue under boot time defragmentation.
  • Please select whether you want to useboot time defragmentation regularly at every system start or one time only at the next system start.

You can also disable boot time defragmentation.

Settings: Boot time defragmentation


Automatic optimization

Thanks to automatic optimization, there is no need to set defragmentation settings manually. It is enabled automatically after installation and optimizes your hard disk in the background; without your computer losing any of its performance. This innovative function makes it possible for administrators under pressure, as well as for- non professionals, to maintain the highest performance levels without losing time learning about the program.

You can also modify the default settings and adapt them to your needs.

Note: Automatic optimization will only be started on your hard disk and not on your external storage media. This helps avoid any inconsistencies and data loss that might occur if an external disk is removed accidentally from your computer during an active background defragmentation.

Settings for the automatic optimization

All write accesses and newly added files are monitored. Newly fragmented files are automatically defragmented as soon as they are no longer being accessed by the user. This basically ensures your system’s full performance capacity while continually preventing new fragmentation. Furthermore, a defragmentation of all files will be performed at regular intervals which will minimize existing fragmentation and put little strain on available resources.

The normal and regular use of your computer could lead to particular files being accessed very often. These files can be your registry database, container files of download programs, or Temporary Internet Files. These files are then defragmented during the regular defragmentation session without the user having to guide the process.

You can also influence the behavior of the automatic optimization heavily:

You can decide between quick and thorough defragmentations on hard disks. The quick defragmentation employs the OPTIMIZE/Quick method, the thorough defragmentation the OPTIMIZE method.

For the first time, O&O Defrag enables you to optimize all makes of SSD drives. Thanks to regularly scheduled ATA TRIM commands, an SSD will be kept informed of those hard disk areas that are available for new data. Instead of continuing to save the contents of data that’s no longer needed, the SSD can now use those freed areas for a drive-internal optimization of its data management. As a result, the SSD is able to process accesses significantly faster, and wear out on flash chips is kept to a minimum.

Notes for the automatic optimization:

If the automatic defragmentation defragments large files, such as the data container of virtual computers, without you wanting it to, and the system slows down because of it, we recommend excluding these files from defragmentation under Settings/Files.

Automatic optimization will never be applied to external USB and firewire drives. This has been restricted for reasons of data security. It is possible to lose data if a drive is removed without having been properly logged off. Since automatic optimization runs permanently in the background without your notincing any negative effects, it’s easy to overlook the defragmentation of an external drive.


Select files for defragmentation

Under Files in the settings dialogue you can exclude files and folder from defragmentation. You can, for instance, exclude a complete folder, but still put certain files from it in the list of files to be defragmented.

In addition, when time doesn’t permit, you can also specify that large files should not be defragmented or moved.

Exclude files

Under Excluded files you can specify the files you want to exclude from defragmentation.

  1. Click Select files.
  2. Select the file or the folder you wish to exclude in the dialogue in the Explorer view and click Add. You can also allocate more files and folders to the selection.
  3. If you have made your selection, confirm your entries with Apply.

Include files at all costs

Under Files that must be defragmented you can specify the files that must be defragmented, even if they have been excluded previously due to a higher ranking condition.

  1. Click Select files.
  2. Select the file or the folder you wish to exclude in the dialogue in the Explorer view and click Add. You can also allocate more files and folders to the selection.
  3. If you have made your selection, confirm your entries with Apply.

By size

Optionally, if time doesn’t permit, you can also exclude very large files from the defragmentation. In the dialogue, please specify the size above which a file should not be optimized or moved during a defragmention.

Select files and folders


O&O ActivityMonitor

Under the O&O ActivityMonitor you can specify the CPU when optimization should start and the maximum CPU that O&O Defrag may use. The O&O ActivityMonitor periodically determines degree of use of the CPU. It controls the performance demand of O&O Defrag during a defragmentation and adapts it to the current state. You can thereby work undisturbed while your system is being defragmented in the background. O&O Defrag offers many ways in which you can make your defragmentation even more effective and efficient. The default configurations are already optimized for most systems, which means you won’t normally have to make any changes here. You may, however, also adjust the tuning options yourself.

The settings are valid for recurring jobs and automatically run defragmentation processes, see Automatic Optimization. You have the possibility to specify further settings of the O&O ActivityMonitor for a specific job in the job dialogue.

System load

Here you can specify that O&O Defrag should not exceed the load of the processor by a certain value during a defragmentation. In addition, you have the possibility to specify that an automated optimization not be started if the target drive is in use or other programs are using a high level of CPU.

Program list

Here you can specify that automatic optimization should not be executed if certain programs are running simultaneously. These might be imaging programs, a virus scanner, or even games.

Energy

Jobs can also be scheduled to run only when the computer is connected to a main power source - something very useful when using notebooks.

Tip: For notebooks we recommend enabling the option Cancel if computer runs on battery power.

O&O ActivityMonitor


Work within the network

Note:This feature is only valid for O&O Defrag Server Edition and O&O Defrag Professional Edition.

The network function serves to control O&O Defrag from another computer in the network. You can establish a connection to a desired computer and on it, you can remotely execute all the same program functions you have on your local O&O Defrag.

For this feature to work, O&O Defrag has to be already installed on the target computer. You also have to open port 50300 of your firewall of the target system. Please consult the manual of your firewall for further information.

  • Access the network connection dialogue over the Ribbon Bar with Connect to computer.
  • Now you will be able to connect to a remote computer.

By default, you can only remote control O&O Defrag on computers where your user account is member of the Local Administrators group.If you would like to grant all users from the same network unrestricted remote access to O&O Defrag, please activate the option Enable remote administration from same networkin the O&O Defrag Settings.

Work within the network

Note: You will be able to benefit from comprehensive network functionality by working with O&O Enterprise Management Console. Further information is available in the chapter Additional properties of the Server and Workstation Edition or simply contact us.

Connect to network computer

More:

Firewall settings


Firewall settings

To build a remote network with another computer, you have to make the following changes to your firewall settings:

Hint: you can find the settings for the Windows Firewall on your computer under: Start/Control Panel/Security Center/Windows Firewall/Change settings/Exceptions.

  • Create a new port.
  • Enter the number 50300 and name the port O&O Defrag.

Edit port

  • Confirm the changes.
  • Place a check next to O&O Defrag in the list.

More information on the firewall settings concerning O&O Defrag can be found under hints and frequent questions.

Firewall settings


Technical information

The following technical information will be helpful when applying O&O Defrag:

More:

Conflicts with shadow copies during defragmentation

Using the command line version

Status notices and program output

Data security and integrity

Supported hardware

Supported file systems

Free space needed for defragmentation


Conflicts with shadow copies during defragmentation

The operating systems Windows 8, Windows 7, Windows Vista, Windows Server 2003, 2008 and 2012 offer users the ability to create "Shadow Copies" for protecting their data. This new feature automatically creates copies of files currently in use at regular time intervals. Since Windows only captures changes in the files, additional space is normally not needed. Accidentally deleted files and folders or previous versions of documents can be easily restored using a convenient command accessible through the right-click menu. Simply right-click the object you want to restore and click "Restore Previous Versions".

At the moment of installation, Windows Vista, Windows 7 and Windows 8 the shadow copy mechanism is set by default. With Windows Server 2003/2008/2012 systems it is disabled by default.

Dur"Conflicts with shadow copies during defragmentation"ing defragmentation, files on a volume get moved. Windows classifies these operations as a deletion and therefore creates a complete new shadow copy of the moved file. Since a lot of files are moved during a defragmentation, a lot of new entries are created in the shadow copies and they take up more space on your data volume than before the defragmentation. This behavior may overwrite older shadow copies with newer ones. Unfortunately, this can also lead to the deletion of the system recovery points! These consequences are most frequent when using the COMPLETE method.

Shadow copies are filed in the folder “System Volume Information” and cannot be defragmented. This can end up having a negative influence on the results of the defragmentation. There is, on the other hand, almost hardly any loss in performance caused by fragmented shadow copies. Although these files will be displayed as fragmented, they still have only a minimal influence on the operating speed of your system.

You could disable the shadow copies to achieve improved defragmentation results but you would then wind up losing the operating system’s built-in backup functionality. That’s why we recommend your leaving the shadow copies enabled.

Microsoft is already aware of this problem, as this issue also occurs in the Windows native defragmentation software. More details may be found in this article from Microsoft: http://support.microsoft.com/default.aspx?kbid=312067

In Windows XP64 and Windows 2003 Server, this problem will not occur as long as storage volumes have been formatted with a cluster size of 16KB or larger.

Notes concerning the default enabled automatic optimization:
Please bear in mind that under Windows 8, 7, Vista, Windows 2003 Server, Windows Server 2008 and Windows Server 2012 a complete defragmentation of drives that are imaged by shadow copies may lead to losses of old image sets. This is a problem known to Microsoft, and these drives are marked accordingly in the O&O Defrag user interface. We therefore recommend running an OPTIMIZE/Complete-defragmentation on large installations only and otherwise leaving automatic optimization of O&O Defrag enabled.


Using the command line version

You can also control the defragmentation by means of the command line version of O&O Defrag. In this way, you can integrate O&O Defrag into scripts that can be run at startup or login.

The graphical user interface of O&O Defrag will not be shown during a start from the command line. A mini O&O Defrag icon will appear in the task tray, and you can follow the progress of the actions in your DOS prompt.

O&O Defrag runs independently of the main user interface and the DOS prompt in the background. If you close the DOS prompt or cancel the command line tool with Ctrl+Break/Ctrl+C, you can choose whether to end the program or have it continue in the background. You can also cancel the started activity later with the help of the STOP command or by using the user interface.

Tip: If you start O&O Defrag from the command line, you can also start the main user interface later. This will show you the status as usual without interrupting or stopping the running processes.

More:

Call

Parameters


Call

The O&O Defrag command line control processes the following commands and parameters:

OODCMD {C:[,] | ...| Z:} | {/{<COMMAND>}:{C[,] | ...| Z | ALL}}
[/OUTPUTFILE:<File name>] [/SILENT] [/NOHEADER] [/NOWAIT] [/WAITKEY]

wheras <COMMAND> needs to be one of the following activities:

ANALYSIS, OPTIMIZE, QUICK, COMPLETE, COMPNAME, COMPACC, COMPMOD, FRAGFILES, SPACE, STEALTH


Parameters

Syntax | Description
/ANALYSIS:{C[,] | ... | Z | ALL} | Analyzes the given drives. The result will be shown in the standard output device (generally the DOS prompt), or written into the output file.
/OPTIMIZE:{C[,] | ... | Z | ALL} | Starts OPTIMIZE defragmentation on the given drives or on all drives (ALL).
/QUICK:{C[,] | ... | Z | ALL} | Starts OPTIMIZE/QUICK defragmentation on the given drives or on all drives (ALL).
/COMPLETE:{C[,] | ... | Z | ALL} | Starts OPTIMIZE/Complete defragmentation on the given drives or on all drives (ALL).
/COMPACC:{C[,] | ... | Z | ALL} | Starts COMPLETE/Access defragmentation on the given drives, or on all drives (ALL). Please bear in mind that this defragmentation method does not support any drive zones.
/COMPMOD:{C[,] | ... | Z | ALL} | Starts COMPLETE/Modified defragmentation on the given drives, or on all drives (ALL). Please bear in mind that this defragmentation method does not support any drive zones.
/COMPNAME:{C[,] | ... | Z | ALL} | Starts COMPLETE/Name defragmentation on the given drives or on all drives (ALL). Please bear in mind that this defragmentation method does not support any drive zones.
/FRAGFILES:{C[,] | ... | Z | ALL} | Analyzes the given drive and lists the fragmented files. The result will be shown in the standard output device (generally the DOS prompt), or written into the output file.
/INFO:{C[,] | ... | Z | ALL} | Shows the drive information for the given drives or for all drives (ALL).
/NOHEADER | Stops the display of program information when the program is started from the DOS prompt.
/NOWAIT | Starts the given operation and ends the command line program immediately. The operation runs in the background. This is useful if you want to start an operation with a multiple file, but don’t wish to wait until this process has finished.
/OUTPUTFILE:<File name> | All output will be redirected to a file with the given path and name.
/SILENT | No output is being displayed.
/SPACE:{C[,] | ... | Z | ALL} | Starts SPACE defragmentation on the given drives or on all drives (ALL). Please bear in mind that this defragmentation method does not support any drive zones.
/STEALTH:{C[,] | ... | Z | ALL} | Starts STEALTH defragmentation on the given drives or on all drives (ALL). Please bear in mind that this defragmentation method does not support any drive zones.
/STOP:{C[,] | ... | Z | ALL} | Stops all processes (analysis, defragmentation etc.) on the given drives or on all drives (ALL).
/WAITKEY | Waits for a keystroke before ending the command line program (once the operation has ended).


Status notices and program output

More:

Results logging of the defragmentation

Notifications of the boot time defragmentation


Results logging of the defragmentation

O&O Defrag logs the start and stop times of defragmentation runs as well as any errors encountered. These are recorded according to the systems’ own settings for application logging.

How to start the event viewer when running Windows:

  • To open the Event Viewer, please go to the Control Panel of your computer and select Administrative Tools/Event Viewer.


Notifications of boot time defragmentation

The chart below contains a list of all notifications possible during boot time defragmentation and their corresponding explanations.

Output | Type | Explanation
Drive could not be opened | ERROR | The given drive could not be found by the system, or the file system is not supported.
File could not be opened | ERROR | The given file could not be found, is encrypted or has been exclusively locked by the system.
Not enough space to move | ERROR | Contiguous free space is required to move a file somewhere else on the disk, and this amount of space must be at least as large as the file. Defragmentation cannot take place because there is not enough free space available.
Could not be moved | ERROR | The defragmentation failed because of problems with the file system. The file is fragmented.
MFT could not be defragmented | ERROR | The defragmentation of the MFT failed because of problems with the file system. It is still fragmented.
Not enough space to move the MFT | ERROR | In order to defragment the MFT, contiguous free space at least as large as the MFT must be available. The defragmentation cannot take place because there is not enough free space available.
Could not write to partition | ERROR | During the MFT defragmentation a file system error occurred which blocked writing on the disk. The MFT has not been changed. The drive should be checked for errors.
Attribute error in the MFT. Please start chkdsk. | ERROR | Erroneous entries in the MFT were found during the defragmentation. The drive should be checked for errors.


Data Security and Integrity

O&O Defrag guarantees you complete data integrity and security. Only functions that are implemented in Windows by the operating system itself are used for defragmentation and synchronization of all file accesses.

File attributes (Date, Time, System, Archive etc.) and the security settings for NTFS drives will not be changed. Access rights also remain unchanged. In addition, only one file per drive will be processed at any one time. This ensures that even in a worst case scenario, only one file will be lost (e.g. if there is a power cut). If you have more questions concerning data security, we can provide you with more information. Do not hesitate to contact us at: support@oo-software.com


Supported hardware

O&O Defrag supports all hardware components that are supported by Windows. Please note the software requirements of the corresponding manufacturer.

As a rule: if you can access your hardware with Windows as you would a normal Windows partition, and this partition is formatted using a supported file system, this hardware can be defragmented. Removable drives such as streamers or CD-RWs are exceptions, since defragmenting them might not be useful. You can also set network drives as target for defragmentation.

More:

RAID


RAID

Striped-, Mirrored- and RAID5-Volumes: The advantage of these drive types lies in their superior speed, which on the one side facilitates accessing and storing processes, and on the other hand offer a higher degree of data security.

O&O Defrag supports all known RAID systems. According to many hardware manufacturers, defragmenting RAID systems is especially important: as their files are spread over several hard disks, their fragmentation level is likely to be very high.


Supported File Systems

O&O Defrag supports all Windows file systems. The following paragraphs will tell you more about each of these file systems.

File System | Explanation
exFAT | Starting from Windows Vista, the exFAT-file system is supported. This was designed especially by Microsoft in regard to flash drives, and delivers better performance than FAT. It is also much better against structural damage to the file system and protected against data loss.
FAT | FAT is the oldest data system, the roots of which go back to MS DOS. It is supported by Windows. O&O Defrag can be used without any problem on FAT drives.
FAT32 | FAT32 is the native file system of Windows 95b/98/Me. It offers some advantages compared to the older FAT. FAT32 drives are Windows- supported by default and can be defragmented without any problem using O&O Defrag.
NTFS | The NT file system was developed completely new for the Windows NT family. It offers the option of security restrictions on the file level, increases the security against data errors, and achieves higher performance. It is supported by Windows. And O&O Defrag gets optimal results when defragmenting NTFS drives.
EFS | A file system introduced with Windows 2000 which is based on NTFS and its encryption ensures higher data security against abuse or unauthorized access. The Encrypted File System (EFS) makes data for unauthorized users unreadable. O&O Defrag supports EFS hard disks; neither data integrity nor data security is compromized.


Free space needed for defragmentation

The following limitations are valid for O&O Defrag. These are caused by Windows and cannot be circumvented.

More:

Size of drive

Folders

Free hard disk space


Size of Drive

All drive sizes supported by Windows are supported by O&O Defrag.

O&O Defrag was optimized for use on file systems having an especially large number of files. The storage capacity of a drive is therefore irrelevant.


Folders

Any number of folders can be defragmented. O&O Defrag has an optimized memory management which allows it to record all file and folder information.


Free hard disk space

Drives without any free disk space cannot be defragmented. For the best possible results, at least 5% of the whole hard disk capacity should be free. Files larger than the maximum free and connected storage space, may not be possible to defragment, and if so only with several runs.

To accelerate defragmentation, we recommend reserving at least 10-15% free hard disk space, however, this percentage decreases the higher the hard disk size is. What really matters is the size of the largest file that needs to be defragmented or moved around. For an optimal defragmentation, the file should have enough connected storage space available.


Recommendations and Frequently Asked Questions

Defragment your system regularly!

Only defragmentation on a regular basis can ensure that you always get the best out of your system! For this, O&O Defrag offers you automated optimization and several options for scheduling a defragmentation

Recommended use defragmentation plan

Recommendation for: | Manual defragmentation | Automatic optimization | Screen Saver jobs | Scheduled jobs
Game computer operating for hours |  |  |  |
Private Desktop PC |  |  |  |
Workstation Desktop |  |  |  |
Workstation |  |  |  |
Notebook running on battery |  |  |  |
Video cut, Harddisk Recording |  |  |  |
Server with large files (> 4 GB) |  |  |  |
Server with many files (> 1 Mio) |  |  |  |

Very Applicable

Extremely applicable

For constantly running gaming computers we recommend manual defragmentation. Only the gamer himself can decide when he can afford to lose system performance as a result of defragmentation. Alternatively, we recommend configuring the O&O ActivityMonitor so that an automatic optimization will not start while a game is running.

For a regular desktop PC, where mainly Internet or office applications are used, or even some games are played, we recommend keeping the default setup of O&O Defrag. Automatic optimization makes sure that your system is always running at its optimal performance level – without any effort on your part.

For office computers requiring average performance, the rule for for private desktop PCs should apply: We recommend keeping the default setup of O&O Defrag as it is.

With video editing or hard disk recording systems the data throughput of the disk subsystem plays a decisive role. In particular with hard disk recording systems, some unwanted failures might occur which can render an entire recording session useless. We recommend manual defragmentation of drives before and after a session. Please do not use automatic optimization. It could start analyzing your drives while you are working!

For Servers used heavily during the week or in daytime, we recommend a nightly job which runs an Optimize/Quick as well as a complete Optimize on the weekend.

Don’t wait too long before you defragment!

As soon as you’ve installed your operating system, the file system will begin to fragment. Avoid reduced performance right from the beginning and install O&O Defrag as quickly as possible! Only then can you be sure that your hard disks will access your files quickly. You will also avoid unnecessary wear and tear on your hardware due to increased movement of the read/write head.

Avoid moving large numbers of files during defragmentation

O&O Defrag will calculate the best position for your files before and during the defragmentation. If you copy, move or delete files, these calculations will have to be carried out again. This will take time and lengthen the defragmentation time.

Automatic defragmentation with the threshold tool

Besides the default automated optimization in the background, O&O Defrag offers you the possibility to run job based defragmentation at fixed times. You can shorten the duration of a defragmentation by specifying a border value for its execution. This means that defragmentation will only take place when a particular degree of fragmentation is reached. You can thereby avoid unnecessary defragmentation runs. In the job dialogue under Drives, just enter a degree of fragmentation, e.g., 5%, upon which the job should be run.

O&O Defrag on notebooks

The Power Management enables you to prevent defragmentation if your notebook is running on battery power. The length of your battery’s life will therefore not be affected and you won’t have to stop the defragmentation manually. O&O Defrag recognizes the switch between main and battery power and will run the defragmentation according to your own configuration. You can read more about this in the section Settings.

Which defragmentation method for which type of system?

Below, you will find several pieces of advice concerning which method is best for your system. Search for the relevant tip and use this to determine the best defragmentation method for you!

 | Methods, which include zones |  |  | Methods without zones
 | Optimize | Optimize/Quick | Optimize/Complete | Space | Stealth | Complete/-Methods
Defragmentation of files |  |  |  |  |  |
Defragmenting the free space |  |  |  |  |  |
Prevention of further fragmentation |  |  |  |  |  |
Results of high-level fragmentation* |  |  |  |  |  |
Suitability for very large files (> 4 GB) |  |  |  |  |  |
Suitability for many files (> 1 M) |  |  |  |  |  |
Run time of first defragmentation** |  |  |  |  |  |
Run time of repeated defragmentation |  |  |  |  |  |
Required RAM |  |  |  |  |  |
CPU Load |  |  |  |  |  |

Very Applicable (with runtime: quick)

Extremely Applicable (with runtime: very quick)

Continue working undisturbed while defragmenting

Particularly in the case of workstations or servers that are under pressure all the time, it is important that defragmentation take place in the background without negatively affecting the day-to-day running of the system. In such situations, we recommend you use O&O ActivityMonitor for keeping an eye on the resource usage and automatically adjusting the burden placed on your system by O&O Defrag.

O&O Defrag and Firewalls

At the start of O&O Defrag, my firewall notifies me of an attempted access. I receive the error "10061". Why does this happen and and how can I solve the problem?

The communication of the individual O&O Defrag program components (O&O Defrag Agent and user interface) is based on TCP/IP. This communication only runs inside your computer - without any access to the Internet or the network. Most firewalls, however, are programmed to recognize internal IP communication, so you receive a warning message.

You don't have to turn off your firewall! Simply open up port 50300. Since O&O Defrag automatically checks access permissions, there can be no external access over this port even if you are connected to the internet.

In most cases, it is enough to authorize O&O Defrag for exclusively internal communication when the software is started for the first time.

If this did not happen, however, including the files OODAG.EXE and OODCNT.EXE on your firewall’s list of trusted programs has also proven successful with all of the firewalls we have tested.

Please consult your firewall’s documentation for precise configuration procedures.

Note: If you have configured your firewall accordingly and are still receiving Error Message “10061”, please verify that the services "O&O Defrag" and "Event Viewing" are enabled. If this is not the case, please enable these services.

Does optimization of SSD drives function in a RAID array?

No. RAID controllers are presented as a virtual drive to the operating system. The actual drives are hidden and cannot be approached technically.


Support and Contact

To receive more information about O&O Defrag, please visit our website http://www.oo-software.com and get the latest information about product developments and support. Also included on our website are regularly updated FAQs and Knowledge Bases that address the most common issues regarding our products.

All registered customers receive installation support, free of charge, for the first 30 days after registration. When contacting our support team, please remember to have your registration code available.

In addition, it may be helpful to read the frequently asked questions (FAQ) section of the website before contacting our Support Team. It's always possible that your specific question or problem has already been addressed.

O&O Software |
Address: | Am Borsigturm 48
 | 13507 Berlin
 | Germany
Telephone: | +49(0)30 991 9162-00
Fax: | +49(0)30 991 9162-99
Web: | http://www.oo-software.com
e-mail | support@oo-software.com
 | sales@oo-software.com

More:

Authorized Resellers


Authorized Resellers

Our authorized reseller partners in over 30 countries stand ready to assist you with answers to all questions regarding the licensing and purchase of our software products. Their names and addresses can be found on our website, under the heading “Partner – Find Resellers”. Just ask us, and we'll be happy to help you find an authorized partner in your vicinity.


End user license agreement 4.2 (EULA)

O&O Software GmbH

GENERAL and SPECIALIZED SECTION

GENERAL SECTION

IMPORTANT – PLEASE READ CAREFULLY

This End User License Agreement (EULA) is organized into 2 sections: a general part, which is valid for all O&O products, and a specialized part, which includes the particular terms of each corresponding product. By accepting both parts of the license terms they automatically form part of your contract with O&O Software, Am Borsigturm 48, 13507 Berlin. If you have any questions regarding this contract and the license terms, our Service Team is available to help you under info@oo-software.com.

The software product is protected by copyright laws and international copyright contracts as well as other laws and agreements concerning intellectual property.

1. Object and form of delivery

(1) You receive the software covered by the contract in executable for (Binary code) together with the relevant documentation released by O&O according to Section (6).

(2) The software provides the range of functions described in the given documentation. The documentation regarding functionality may be consulted prior to concluding the contract in the internet presentation on the following site www.oo-software.com/.

(3) Delivery will be made according to the way in which you have purchased the software, either by having a disk directly handed over, or sent by mail to an address you have supplied, or through the forwarding of a license as well as any required download information to a given E-mail address.

(4) If you are currently receiving updates as part of a maintenance agreement, these will be made available electronically to you for downloading.

(5) Changes to the delivery or E-mail address can only be considered, if they are supplied in writing or by E-mail to the address or E-mail address indicated on http://www.oo-software.com at least two weeks before delivery of the update.

(6) A printed copy of the documentation will not be included in the delivery. The documentation consists primarily of electronic aids.

2. Requirements for application (system requirements)

(1) Installation of the software is not part of the agreement.

(2) Depending on the software, there are certain system requirements that must be met in order to use the software according to the terms of this contract. These will be defined according to each product in the specialized section of this contract.

3. Rights of use, including test versions, unauthorized transfer, and application

(1) O&O grants you, upon payment of the agreed one-time fee, a permanent, spatially unlimited and non-exclusive right to use the software.

(2) Test versions – if you have installed a test version of one of our products taken from the O&O Website http://www.oo-software.com/, the right of use will be, according to the program, for a limited time only and/or technically restricted.

(3) One copy of the software is entitled to be used on a maximum of one (1) output device/workstation simultaneously.

(4) If you want to use the software on more than one output device/workstation, the rights of use must be extended accordingly. To find out which O&O products are also available as volume licenses, please consult (http://www.oo-software.com/). The separate price list concerning O&O Volume Licenses will apply to extending the rights of use without redelivery.

(5) Any use beyond that agreed upon in the contract is one in violation of the contract. In such a case, you are required to report this use that exceeds the rights of use to the supplier without any delay. The parties will then try to bring about an agreement for extending the rights of use. For the duration of the excessive usage, i.e., until the conclusion of such an agreement or the cessation of the excessive usage, you are required to pay compensation for this excessive usage according to the amount indicated in our price lists. The amount of compensation will be calculated on the basis of a four year, straight-line depreciation. If we are not informed of the excessive usage, a contract penalty in the amount three times the price of the usage indicated in the price list will be due O&O.

(6) You are entitled to create a backup copy of the software and to conduct ordinary data backups. The creation of more copies than the amount needed for the backing up of any future usage (including the backup copies and data backups) is not allowed.

(7) Copyrights and other trademarks within the software may not be altered or removed. They must be transferred onto every copy of the software.

(8) Unauthorized transfer – only when you have purchased the software with an accompanying disk are you permitted to transfer it and then, only under the following conditions: a resale of the software is only permitted when it involves an entire software copy, i.e., by surrendering your own usage of the purchased copy, you are entitled to transfer these rights of use of the disk onto a third party according to the terms of the agreement existing between you and O&O. When making such a transfer, you are required to hand over to the third party all materials related to the software that are covered in the contract and to delete the software from any storage volumes (e.g., hard disks) remaining in your possession.

(9) Unauthorized rental and service – The purchase of this contract does not entitle you to any public transfer or rental of the software. You are also not entitled to include the software as part of your providing services for and in the presence of any third parties. You may purchase an appropriate license from O&O for doing this.

4. Payment

(1) The prices are given with the corresponding sales taxes included, unless otherwise indicated.

(2) Test versions – Downloads of test versions offered by O&O are provided free of charge, unless otherwise indicated.

(3) If you receive updates of your programs as part of a Maintenance Agreement, the terms of payment in these contracts will apply to these Maintenance Agreements.

(4) O&O is entitled to forward any data it has received onto third parties requiring it for purposes of collection.

(5) Until payment is made in full, O&O retains possession of all rights, particularly those concerning copyrighted rights of use, on the materials included in this contract. O&O is specifically entitled to cancel a contract, for example, when your payment is delayed, it prohibits the further using of the software and demands the surrendering of all copies or this being impossible, to demand their deletion. Should a third party have access to the object of purchase before payment is completed for the contractual software, you are required to inform this third party about the object being the property of O&O and to inform O&O, in writing, about the third party’s access.

5. Material defect and defect of title

(1) The software package or download you receive is free of any material defect or defect of title.

(2) A material defect exists when the software is unable to be used as described in the documentation appearing on the website http://www.oo-software.com/ and included in delivery or available for downloading.

O&O is constantly checking to make sure that other sources are not misrepresenting the functions and properties of the software as described in the documentation. You can therefore assume that any descriptions beyond those found in the software documentation have not originated with O&O and are also unknown to it. Please inform O& O if you learn of any software descriptions that include functions and properties not mentioned in the documentation.

(3) Please inform O&O if you learn of any software descriptions that include functions and properties not mentioned in the documentation.

(4) Any claims concerning defects of material and/or title related to the software have a limitation period of two years subsequent to delivery of the program or transmission of the serial number needed for downloading. If you are not a private individual, the warranty period is shortened to one year.

If O&O has fraudulently concealed a material defect, a three year limitation period will cover claims related to this defect.

Payment for compensation that you might have been entitled to as a result of cancelation or an abatement can be refused upon expiration of the limitation period.

(5) You are required to inform O&O, in writing if possible, of any defects that arise immediately upon their discovery. While doing so you should also describe, as well as possible, how the defect is communicated, the effect it has on the program, and under which circumstances it occurs.

(6) Should defects be reported to O&O within the limitation period, it will undertake a cure free of charge.

(7) As part of the cure, the corrected software will be redelivered as agreed. An on-site analysis and correction of the error on your system will not take place.

O&O assumes the ensuing expenses for the cure, in particular the costs for transport, labor, and material. You are personally responsible for installation. O&O specifically does not assume on-site installation as part of its obligation with regard to defects of material or title.

Should a change of the program be required as part of the cure, O&O will make the necessary changes in the documentation without any charges.

(8) After the unsuccessful expiration of a deadline you set for cure, you can cancel the contract or reduce the purchase price and demand compensation instead of service or the replacement of any futile expenditures.

(9) A deadline is not required when

a) O&O refuses both kinds of cure, even if it is entitled to do so as a result of the arising expenses or

b) the cure is impossible or

c) the cure is unacceptable to you or

d) the cure is unsuccessful.

A subsequent improvement is considered a failure after the second unsuccessful attempt unless there is something particular about the type of software or the defect itself or the surrounding circumstances that would indicate otherwise.

(10) You are not entitled to cancel the contract if the defect is negligible, nor may you, in this event, demand compensation instead of full service.

(11) In the event of cancellation, compensation is due for any uses made. The compensation for use will be based on a four year, straight-line depreciation of the purchase price.

(12) As a result of the abatement, the purchase price will be reduced by the amount which is calculated for deducting the defect from the value of the software. The standard used will be its value at the time the contract was concluded. The amount, when necessary, is to be calculated by estimation. As a result of this reduction, any amount larger than that paid for the reduced purchase price will be refunded.

(13) If it turns out that a reported problem did not arise as a result of a defect in the software, O&O is entitled to invoice you, according to the amount charged in its price lists for such services, the expenses for analysis and correction of the problem if you can be accused of malice or gross negligence.

(14) The seller’s warranty is canceled when changes are made on the software without expressed written consent or when the software is not used as intended or used in an improper software environment, unless you can prove that these facts had nothing to do with the problems that occurred.

6. Limitation of compensation

(1) O&O is liable for compensation for every legal ground to the extent described in the following provisions.

(2) The extent of liability of O&O for damages caused by malice or gross negligence arising from O&O itself or one of its vicarious or legal agents is unlimited.

(3) There is no limit to the extent of liability of O&O or any of its legal or vicarious agents for damages involving injury to life, physical well-being or health, or for simple breach of duty.

(4) There is unlimited liability for damages caused by serious organizational fault on the part of O&O as well as for damages arising from a missing guaranteed characteristic.

(5) For the breach of an essential contractual duty, O&O is liable for damages normally foreseen in a contract when none of the instances in provisions (2) – (4) applies.

(6) Any further liability for compensation is excluded, specifically excluded is liability without fault.

(7) Liability as defined by the product liability law remains untouched.

(8) If damage can be traced to have arisen through a fault on the part of O&O as well as on the part of yourself, you must have your share of the fault evaluated.

You are responsible for making a standard backup of your data at least once a day. For data loss caused by O&O, O&O is only liable for the expense of duplicating the data on your backup copies that need to be created and for the restoration of data which would have also been lost during a standard backup procedure.

7. Final provisions

(1) You may only balance claims from O&O with indisputable or legally valid claims.

(2) Changes and amendments to this contract must be made in writing. This also applies to changes to this provision.

(3) The contract is subject to German law. The uniform UN purchasing law (CISG) as well as the UNIDROIT Factoring Agreement of Ottawa do not apply.

(4) Any general terms and conditions on your part will not be applied.

(5) In the event you are not a private individual or a resident of the Federal Republic of Germany, we agree that the district court in Berlin will be the competent court for litigation arising from this contract.

8. Contact

If you have any questions concerning the O&O Software License Agreement or wish to speak with O&O, please get in touch with us.

O&O Software GmbH, Am Borsigturm 48, 13507 Berlin, Germany.

Telephone: +49 (0)30 991 9162-00, Fax: +49 (0)30 991 9162-99

E-Mail info@oo-software.com / sales@oo-software.com, Web www.oo-software.com

SPECIALIZED SECTION

O&O BlueCon

Amendment to: 2. Requirements for application (system requirements)

The software requires Windows Server 2003 (all Editions), Windows Vista (all Editions), Windows Server 2008 (all Editions), Windows 7 (all Editions), Windows Server 2008 R2 (all Editions), Windows 8 or Windows Server 2012 operating systems. Usage within the terms of this contract is not achieved without the application of these operating systems.

The product at hand can only be employed according to the acquired license. The following license types exist for O&O BlueCon:

O&O BlueCon Admin Edition

You are authorized to install and use the software product on all computers a) in the possession of the company (legal person or natural person(s) in the case of corporations) owning the license and b) all located at a single site. This license is bound to a single natural person and is non-transferable.

O&O BlueCon Tech Edition

You are authorized to install and use the software product on all computers. This includes computers that do not belong to the company owning the license (also known as Service Technician's License). This license is bound to a single natural person and is non-transferable.

O&O BuildPE

Important note for working with O&O BuildPE

The program overwrites the target storage volume (these volumes include re-writable CDs or USB Sticks, amongst others). Please therefore make absolutely sure that the target volume does not contain any data that you may still require, as the overwriting of this data cannot be reversed!

O&O formally declares that it is not responsible for damages arising from the improper use of O&O BuildPE.

Amendment to: 2. Requirements for application (system requirements)

The software requires Windows Server 2003 (all Editions), Windows Vista (all Editions), Windows Server 2008 (all Editions), Windows 7 (all Editions), Windows Server 2008 R2 (all Editions), Windows 8 (all Editions), Windows Server 2012 or Windows 10 (all Editions) operating systems. Application within the terms of this contract is not achieved without the use of one of these operating systems.

O&O CleverCache

Amendment to: 2. Requirements for application (system requirements)

O&O CleverCache Professional Edition

The software requires the Windows Vista (all Editions) or Windows 7 (all editions) operating systems. Usage within the terms of this contract is not achieved without the application of these operating systems.

O&O CleverCache Server Edition

The software requires Windows Server 2003 (all Editions), Windows Vista (all Editions), Windows Server 2008 (all Editions), Windows 7 (all Editions) or Windows Server 2008 R2 (all Editions) operating systems. Application within the terms of this contract is not achieved without the use of one of these operating systems.

O&O Defrag

Amendment to: 2. Requirements for application (system requirements)

O&O Defrag Professional Edition

The software requires Windows Vista (all Editions), Windows 7 (all Editions), Windows 8 (all Editions) or Windows 10 (all Editions) operating systems. Application within the terms of this contract is not achieved without the use of one of these operating systems. Control of the program through a network management is not possible.

O&O Defrag Workstation Edition

The software requires Windows Vista (all Editions), Windows 7 (all Editions), Windows 8 (all Editions) or Windows 10 (all Editions) operating systems. Application within the terms of this contract is not achieved without the use of one of these operating systems. The O&O Defrag Workstation Edition may be used on computers with or without the user interface. You are entitled to control this program over the separately obtainable network manager.

O&O Defrag Server Edition

The software requires Windows Server 2003 (all Editions), Windows Vista (all Editions), Windows Server 2008 (all Editions), Windows 7 (all Editions), Windows Server 2008 R2 (all Editions), Windows 8 (all Editions), Windows Server 2012 or Windows 10 (all Editions) operating systems. Application within the terms of this contract is not achieved without the use of one of these operating systems.. The O&O Defrag Server Edition may be used on computers with or without the user interface. You are entitled to control this program over the separately obtainable network manager.

O&O Defrag Virtual Machine Edition

The O&O Defrag Workstation Edition may be used on computers with or without the user interface. You must own a minimum of one Server Edition to use a Virtual Machine Edition.

O&O DiskImage

Amendment to: 2. Requirements for application (system requirements)

The O&O DiskImage Express Edition

The software requires Windows Vista (all Editions), Windows 7 (all Editions), Windows 8 (all Editions) or Windows 10 (all Editions) operating systems. Application within the terms of this contract is not achieved without the use of one of these operating systems. Control of the program through a network management is not possible.

O&O DiskImage Professional Edition and Special Edition

The software requires Windows Vista (all Editions), Windows 7 (all Editions), Windows 8 (all Editions) or Windows 10 (all Editions) operating systems. Application within the terms of this contract is not achieved without the use of one of these operating systems. Control of the program through a network management is not possible.

O&O DiskImage Workstation Edition

The software requires Windows Vista (all Editions), Windows 7 (all Editions), Windows 8 (all Editions) or Windows 10 (all Editions) operating systems. Application within the terms of this contract is not achieved without the use of one of these operating systems. The O&O DiskImage Workstation Edition may be used on computers with or without the user interface. You are entitled to control this program over the separately obtainable network manager.

O&O DiskImage Server Edition

The software requires Windows Server 2003 (all Editions), Windows Vista (all Editions), Windows Server 2008 (all Editions), Windows 7 (all Editions), Windows Server 2008 R2 (all Editions), Windows 8 (all Editions), Windows Server 2012 or Windows 10 (all Editions) operating systems. Application within the terms of this contract is not achieved without the use of one of these operating systems. The O&O DiskImage Server Edition may be used on computers with or without the user interface. You are entitled to control this program over the separately obtainable network manager.

O&O DiskImage Virtual Machine Edition

The O&O Defrag Workstation Edition may be used on computers with or without the user interface. You must own a minimum of one Server Edition to use a Virtual Machine Edition.

Amendment to: 3. Rights of use, including test versions, unauthorized transfer, and application

Creation and restoration of images

The source computer and each target computer are required to hold licenses, to create and restore images using O&O DiskImage. One license is sufficient under the previously mentioned terms, if the source and the target computer is one non-virtual workstation. Each virtual machine is seen as an independent computer; in other words, each virtual machine needs its own license.

O&O DiskRecovery

Amendment to: 2. Requirements for application (system requirements)

The software requires Windows Server 2003 (all Editions), Windows Vista (all Editions), Windows Server 2008 (all Editions), Windows 7 (all Editions), Windows Server 2008 R2 (all Editions), Windows 8 (all Editions), Windows Server 2012 or Windows 10 (all Editions) operating systems. Application within the terms of this contract is not achieved without the use of one of these operating systems.

The product at hand can only be employed according to the acquired license. The following license types exist for O&O DiskRecovery:

O&O DiskRecovery Professional Edition

You are authorized to install and use the software product on only one computer. This should be used wholly in conjunction with all hardware in your possession, i.e. this license may not be used to provide a service to a third party. Other limitations may apply in the software itself. Please consult the software documentation for more information on these limitations.

O&O DiskRecovery Admin Edition

You are authorized to install and use the software product on all computers

a) in the possession of the company (legal person or natural person(s) in the case of corporations) owning the license and b) all located at a single site. This should be used wholly in conjunction with all hardware in your possession, i.e. this license may not be used to provide a service to a third party. This license is bound to a single natural person and is non-transferable.

O&O DiskRecovery Tech Edition

You are authorized to install and use the software product on all computers. This includes computers that do not belong to the company owning the license (also known as Service Technician's License). This license is bound to a single natural person and is non-transferable.

O&O DiskStat

Amendment to: 2. Requirements for application (system requirements)

O&O DiskStat Professional Edition

The software requires Windows Vista (all Editions) or Windows 7 (all Editions) operating systems. Usage within the terms of this contract is not achieved without the application of these operating systems.

O&O DiskStat Workstation Edition

The software requires Windows Vista (all Editions) or Windows 7 (all Editions) operating systems. Usage within the terms of this contract is not achieved without the application of these operating systems. The O&O DiskStat Workstation Edition may be used on computers with or without the user interface. You are entitled to control this program over the separately obtainable network manager.

O&O DiskStat Server Edition

The software requires Windows Server 2003 (all Editions), Windows Vista (all Editions), Windows Server 2008 (all Editions), Windows 7 (all Editions) or Windows Server 2008 R2 (all Editions), operating systems. Application within the terms of this contract is not achieved without the use of one of these operating systems.

O&O DiskStat Virtual Machine Edition

The O&O Defrag Workstation Edition may be used on computers with or without the user interface. You must own a minimum of one Server Edition to use a Virtual Machine Edition.

O&O DriveLED

Amendment to: 2. Requirements for application (system requirements)

O&O DriveLED Professional Edition

The software requires Windows Vista (all Editions) or Windows 7 (all Editions) operating systems. Usage within the terms of this contract is not achieved without the application of these operating systems. Control of the program through a network management is not possible.

O&O DriveLED Workstation Edition

The software requires Windows Vista (all Editions) or Windows 7 (all Editions) operating systems. Usage within the terms of this contract is not achieved without the application of these operating systems. The O&O DriveLED Workstation Edition may be used on computers with or without the user interface. You are entitled to control this program over the separately obtainable network manager.

O&O DriveLED Server Edition

The software requires Windows Server 2003 (all Editions), Windows Vista (all Editions), Windows Server 2008 (all Editions), Windows 7 (all Editions) or Windows Server 2008 R2 (all Editions) operating systems. Usage within the terms of this contract is not achieved without the application of these operating systems. The O&O DriveLED Server Edition may be used on computers with or without the user interface. You are entitled to control this program over the separately obtainable network manager.

O&O DriveLED Virtual Machine Edition

The O&O Defrag Workstation Edition may be used on computers with or without the user interface. You must own a minimum of one Server Edition to use a Virtual Machine Edition.

O&O Enterprise Management Console

Important note on the Microsoft SQL Server

This product uses the Microsoft SQL Server or Microsoft SQL Server Express Edition. To the extent that these programs are part of the installation of this product, the terms of their licensing related to the use of this software will also apply to the terms of this agreement.

The use of Microsoft SQL Server Express Edition is free of charge in conjunction with this product. The purchase of licenses for O&O Enterprise Management Console and related products is separate from any possible purchase of SQL Server products.

Amendment to: 2. Requirements for application (system requirements)

The software requires Windows Server 2003 (all Editions), Windows Vista (all Editions), Windows Server 2008 (all Editions), Windows 7 (all Editions), Windows Server 2008 R2 (all Editions), Windows 8 or Windows Server 2012 operating systems. Usage within the terms of this contract is not achieved without the application of these operating systems.

O&O EventViewer

Amendment to: 2. Requirements for application (system requirements)

O&O EventViewer Workstation Edition

The software requires Windows Vista (all Editions), Windows 7 (all Editions) or Windows 8 operating systems. Usage within the terms of this contract is not achieved without the application of these operating systems. The O&O EventViewer Workstation Edition may be used on computers with or without the user interface. You are entitled to control this program over the separately obtainable network manager.

O&O EventViewer Server Edition

The software requires Windows Server 2003 (all Editions), Windows Vista (all Editions), Windows Server 2008 (all Editions), Windows 7 (all Editions), Windows Server 2008 R2 (all Editions) or Windows 8 operating systems. Usage within the terms of this contract is not achieved without the application of these operating systems.

O&O EventViewer Virtual Machine Edition

The O&O Defrag Workstation Edition may be used on computers with or without the user interface. You must own a minimum of one Server Edition to use a Virtual Machine Edition.

O&O MediaRecovery

Amendment to: 2. Requirements for application (system requirements)

The software requires Windows Vista (all Editions), Windows 7 (all Editions), Windows 8 (all Editions) or Windows 10 (all Editions) operating systems. Application within the terms of this contract is not achieved without the use of one of these operating systems.

O&O PartitionManager

Amendment to: 2. Requirements for application (system requirements)

O&O PartitionManager Professional Edition

The software requires Windows Vista (all Editions) or Windows 7 (all Editions) operating systems. Usage within the terms of this contract is not achieved without the application of these operating systems.

O&O PartitionManager Server Edition

The software requires Windows Server 2003 (all Editions), Windows Vista (all Editions), Windows Server 2008 (all Editions), Windows 7 (all Editions) or Windows Server 2008 R2 (all Editions), operating systems. Usage within the terms of this contract is not achieved without the application of these operating systems.

O&O RegEditor

Important note for working with the Microsoft Windows Registry

Before making changes to the Microsoft Windows Registry (in the following Registry), you should prepare a backup copy of the Registry and ensure that you’ll be able to restore the Registry if a problem should arise.

O&O formally declares that it is not responsible for damages arising from the improper use of O&O RegEdit. Changes to the Registry should only be made by experienced users who are aware of the consequences of such changes. A defective Registry can influence the entire stability of the system and lead to a crash of the computer or make it unable to start. This can further lead to loss of data.

Amendment to: 2. Requirements for application (system requirements)

The software requires Windows Server 2003 (all Editions), Windows Vista (all Editions), Windows Server 2008 (all Editions), Windows 7 (all Editions), Windows Server 2008 R2 (all Editions), Windows 8 or Windows Server 2012 operating systems. Usage within the terms of this contract is not achieved without the application of these operating systems.

Amendment to: 4. Payment

O&O demands no fee for the use of O&O RegEditor. In addition, a fee for this license and this program may not be demanded by any Third Parties, unless this is done with the expressed approval of O&O. When in doubt, please get in touch with us. You can find our contact data at the end of this license agreement.

O&O RescueBox

Amendment to: 2. Requirements for application (system requirements)

The software requires Windows Server 2003 (all Editions), Windows Vista (all Editions), Windows Server 2008 (all Editions), Windows 7 (all Editions) or Windows Server 2008 R2 (all Editions) operating systems. Usage within the terms of this contract is not achieved without the application of these operating systems.

The product at hand can only be employed according to the acquired license. The following license types exist for O&O RescueBox:

O&O RescueBox Personal Edition

You are authorized to install and use the software product on only one computer. This should be used wholly in conjunction with all hardware in your possession, i.e. this license may not be used to provide a service to a third party. Other limitations may apply in the software itself. Please consult the software documentation for more information on these limitations.

O&O SafeErase

Amendment to: 2. Requirements for application (system requirements)

O&O SafeErase Professional Edition

The software requires Windows XP (all Editions), Windows Vista (all Editions), Windows 7 (all Editions), Windows 8 (all Editions) or Windows 10 (all Editions) operating systems. Usage within the terms of this contract is not achieved without the application of these operating systems.

O&O SafeErase Workstation Edition

The software requires Windows XP (all Editions), Windows Vista (all Editions), Windows 7 (all Editions), Windows 8 (all Editions) or Windows 10 (all Editions) operating systems. Usage within the terms of this contract is not achieved without the application of these operating systems.

O&O SafeErase Server Edition

The software requires Windows XP (all Editions), Windows Server 2003 (all Editions), Windows Vista (all Editions), Windows Server 2008 (all Editions), Windows 7 (all Editions), Windows Server 2008 R2 (all Editions), Windows 8 (all Editions), Windows Server 2012 or Windows 10 (all Editions) operating systems. Application within the terms of this contract is not achieved without the use of one of these operating systems.

O&O SSD Migration Kit

Amendment to: 2. Requirements for application (system requirements)

The software requires Windows Vista (all Editions), Windows 7 (all Editions) or Windows 8 operating systems. Usage within the terms of this contract is not achieved without the application of these operating systems. Control of the program through a network management is not possible.


OO DiskCleaner

The frequent deletion and overwriting of files influences the life span of SSDs. It is not possible to run indefinite writing access on the memory cell of a SSD. Laplink SafeErase offers you a gentle method, to permanently delete individual files, folders or partitions from the SSD. Files are deleted via a TRIM command. The data cannot be restored anymore.

Laplink SafeErase recognizes SSDs automatically. The sequence and the control of the dialogs occurs analogously to the deletion of normal hard disks so that you need not apply more settings.

Important: Laplink SafeErase also displays the selection of deletion methods when deleting data from an SSD. Yet, the deletion method will not be considered during deletion (trimming). If the data you selected is located on a hard disk and an SSD, the selected deletion method will only be applied to the data on the hard disk.

Note: If your SSD does not support the TRIM command, please consider the warning notices given by the program.

Technical limitations when SafeErasing Solid State Drives

SSD technology limits the options for SafeErasing in a number of certain situations.

In the following cases, Laplink SafeErase will permanently delete data using the "Overwrite with zeroes" method instead of TRIM commands:

  • When deleting or moving very small files on NTFS drives. This generally affects MFT resident files.
  • When deleting free space from ClusterTips, MFT, and FAT entries.

If partitions or entire disks are deleted from SSDs (using TRIM), the deletion will sometimes first become visible after the computer is restarted. This depends on the SSD involved.


Determine file position

If you want to find out where and how a certain file is located, click Determine file position in the Ribbon and select a file in the following dialogue. All areas occupied by this file will then be displayed by the ClusterView.


Contents

About O&amp;O Defrag
Features at a glance
Differences between the various Editions
Other features of the Server and Workstation Edition
System requirements
Installation
Information about licensing
Enter license
Using the test version
Uninstallation
Updates
O&amp;O Defrag Screen Saver
Online registration
What are the advantages of online registration?
How do I register online?
Getting started
QuickStart
Schedule automated defragmentation
Execute optimization of the system now
Optimizing Solid State Drives
Analyze your drives
Start analysis
Defragmenting your Drives
Recommendations for your first defragmentation
Defragment Single Drives
Defragment an entire computer
Defragmenting individual files and folder
Selecting a defragmentation method
OPTIMIZE
OPTIMIZE/Quick
OPTIMIZE/Complete
Standard defragmentation methods
STEALTH Method
SPACE Method
COMPLETE/Access Method
COMPLETE/Modified Method
COMPLETE/Name Method
User Interface (GUI)
Drive list
Cluster View
Defragmentation summary
Job View
Reports
Historie
Drive status
File status
Tray icon (Notification area icon)
Hibernation mode
Schedule defragmentation at regular intervals
Create job - General
Plan a schedule
Screen Saver Mode
Select drives
Include and exclude files
O&amp;O ActivityMonitor for jobs
Further job settings
Run scripts before and after a job
Edit jobs
Duplicate job
Delete job
Status reports
Creating status reports
Evaluating status reports
Deleting status reports
Check drive
O&amp;O ClusterInspector
Show details
O&amp;O DiskCleaner
Determine file position
Zone filing
Rules for individual drives
User-defined zone filing
Notation for rules
Settings
General settings
Settings for the tray icon
Boot time defragmentation
Automatic optimization
Select files for defragmentation
O&amp;O ActivityMonitor
Work within the network
Firewall settings
Technical information
Conflicts with shadow copies during defragmentation
Using the Command Line Version
Call
Parameters
Status notices and program output
Event logging of Online Defragmentation
Notifications of boot time defragmentation
Data security and integrity
Supported Hardware
RAID
Supported file systems
Free space needed for defragmentation
Size of drive
Folders
Free hard disk space
Recommendations and Frequently Asked Questions
Support and Contact
Authorized resellers
End user license agreement (EULA)


Ribbon Bar

The Ribbon bar provides access to O&O Defrag's common features. Advanced settings can be reached with just a few mouse clicks. Using the right-click menu on any view, you can select additional functions for specific purposes.

Ribbon Bar


Quick Start

Your First Steps with O&O Defrag

The Various Defragmentation Methods

Automatic Defragmentation with the Integrated Scheduling

How to detect the condition of your computer based on the status reports

O&O Defrag User Interface


System menu

Using the system menu, you'll be able to select a number of additional functions.

QuickStart
opens the QuickStart wizard. Here you can find the functions most frequently needed by the majority of users.

Establish connection with computers - (Professional Edition and Server Edition only)
You can connect to other computers and run defragmentation jobs on them from your own computer. To do this, O&O Defrag will also need to be installed on any computer(s) you select.

Check for updates
Searches the Internet for new versions of O&O Defrag.

About O&O Defrag
displays the version number and product edition of O&O Defrag. In addition, you'll be able to see the license data you've entered in the license dialogue.

System menu


Copyrights

Text, illustrations and examples have been produced with great care. The editor is neither legally nor in any other way liable for incorrect information given and its possible consequences.

This document is protected by copyright. All rights reserved. Without written approval no part of this document may be reproduced through photocopying, microfilming or any other procedure, nor may it be translated into a language used by machines, especially data-processing plants. Rights are likewise reserved for quotation in lectures, on radio and television.

Microsoft, Windows Vista, Windows 7, Windows 2003, Windows 2008 and Windows 2008 R2 are registered trademarks of the Microsoft Corp., Redmond, USA. O&O and the O&O-logo are registered trademarks of the O&O Software GmbH, Berlin.

Rev. 31.08.201516:55

©1997-2010 O&O Software GmbH • Am Borsigturm 48 • 13507 Berlin • Germany

http://www.oo-software.com